2017-02-03  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.18

2017-01-31  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.17

2016-12-19  sawhite <swhite@catalysoft.com>

	* : Merge remote-tracking branch 'origin/master'

2016-12-13  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed adding a null component does not work
	in JideTabbedPane but works in JTabbedPane

2016-10-17  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/vsnet/VsnetJideTabbedPaneUI.java: 
	Common,B,JideTabbedPane,Fixed AIOOBE in JideTabbedPane,81587,no

2016-10-03  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: 
	Common,B,ComboBoxSearch,Fixed the popup size of ComboBoxSearchable
	is wrong,,no

2016-09-30  jidesoft <anderson@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2016-09-22  jidesoft <anderson@jidesoft.com>

	* JIDE Common Layer.iml: misc

2016-09-01  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Fixed
	the IntelliHint size was not updated every time,81374,no

2016-08-16  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java: fixed javadoc

2016-07-28  frank <frank@jidesoft.com>

	* build.properties, pom.xml: release 3.6.15

2016-07-27  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,JideTabbedPane will not call updateUI in the
	removeTab method,81134,no

2016-07-20  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/hints/AbstractIntelliHints.java,
	src/com/jidesoft/hints/IntelliHints.java: update javadoc

2016-07-13  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,StyledLabel,Fixed the last line clipped to the wrong width
	in StyledLabel,81060,no

2016-07-12  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/converter/CurrencyConverter.java,
	src/com/jidesoft/converter/PercentConverter.java: 
	Common,B,PercentConverter,Consider the locale in CurrencyConverter
	and PercentConverter,,no

2016-07-11  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: Grids,B,ExComboBox,Added
	get/setPreferredPopupSize methods to ExComboBOx and AbstractComboBox
	so that you can set the size of the popup,81008,no

2016-07-09  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/CheckBoxList.java,
	src/com/jidesoft/swing/CheckBoxTree.java: 
	Common,B,CheckBoxList,Correct the wrong javadoc in
	isClickInCheckBoxOnly methods

2016-05-31  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Grids,E,EqualFilter,Added case sensitive option to
	EqualFilter,80849,no

2016-04-28  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.14

2016-04-27  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/hints/AbstractIntelliHints.java,
	src/com/jidesoft/hints/IntelliHints.java: 
	Common,E,IntelliHints,Added a new autoPopup parameter to updateHints
	method in IntelliHints,,no

2016-03-30  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/SidePane.java: Dock,B,SidePane,Fixed
	possible NPE in SidePane,80550,no

2016-03-02  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/range/BooleanRange.java: 
	Common,B,BooleanRange,Fixed the upper() return the lower value in
	BooleanRange,,no

2016-02-19  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.13

2016-02-09  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/JidePopupMenu.java,
	src/com/jidesoft/swing/JideSplitButton.java,
	src/com/jidesoft/swing/LabeledTextField.java: 
	Common,JideSplitButton,Fixed an issue with JideSplitButton,80259,no
	Common,JidePopupMenu,Fixed an issue with JidePopupMenu where the
	popup menu height is not calculated correctly,,no

2016-01-28  jidesoft <support@jidesoft.com>

	* : Merge pull request #13 from hwaite/master don't cache screen, insets, etc.

2016-01-13  Hollis Waite <hwaite@post.harvard.edu>

	* src/com/jidesoft/utils/PortingUtils.java: don't cache screen,
	insets, etc.  Simplify code by getting rid of useless cache methods/variables.
	Requerying relevant information is fast so there's no need to
	complicate code with cached data.

2016-01-12  jidesoft <anderson@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2015-12-04  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.12

2015-12-01  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed JideTabbedPane the tab list popup
	position is wrong on the second monitor,,no

2015-11-14  sawhite <swhite@catalysoft.com>

	* src/com/jidesoft/range/CategoryRange.java: 
	Common,B,CategoryRange,Fixes a bug in the sorting of categories

2015-10-12  jidesoft <support@jidesoft.com>

	* : Merge pull request #12 from moench-tegeder/detectbsd SystemInfo: detect BSD systems

2015-10-09  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.11

2015-08-09  jidesoft <support@jidesoft.com>

	* : commit 3fd64af216275edf699ba8d13aafabfeef8d7145 Author: jidesoft
	<support@jidesoft.com> Date:   Sun Aug 9 07:18:59 2015 -0700

2015-08-04  jidesoft <anderson@jidesoft.com>

	* properties/com/jidesoft/dialog/buttons_da_DK.properties,
	properties/com/jidesoft/swing/swing_da_DK.properties: remove two
	files

2015-08-04  jidesoft <anderson@jidesoft.com>

	* : commit 2a2db0fa41abc7cee80c1894b0fe8a67e3ade3bf Author: jidesoft
	<anderson@jidesoft.com> Date:   Tue Aug 4 10:25:26 2015 -0700

2015-07-30  David Qiao <support@jidesoft.com>

	* src/com/jidesoft/icons/IconsFactory.java,
	src/com/jidesoft/utils/SystemInfo.java: Common,E,SystemInfo,Added
	method to detect the scale factor of retina display,,no

2015-07-17  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.10

2015-07-15  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideLabelUI.java: 
	Common,B,JideLabel,Fixed the getMinimumSize and getMaximumSize is
	wrong in JideLabel when rotated,,no

2015-07-12  sawhite <swhite@catalysoft.com>

	* src/com/jidesoft/range/CategoryRange.java: Tidied up logic in
	CategoryRange.position()

2015-07-12  sawhite <swhite@catalysoft.com>

	* : Merge remote-tracking branch 'origin/master'

2015-07-10  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/plaf/xerto/XertoUtils.java: fixed possible NPE if
	uidefaults are missing

2015-05-29  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.9

2015-05-21  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/swing/CheckBoxList.java: 
	Common,B,CheckBoxlIST,Fixed the mouse pressed does not make the
	CheckBoxlIST focus when clicking in the check boxes,79232,no

2015-05-20  jidesoft <anderson@jidesoft.com>

	* : commit 1fa191847d88e7adbb7a4bd8616b5f3b00346086 Author: jidesoft
	<anderson@jidesoft.com> Date:   Wed May 20 10:22:40 2015 -0700

2015-05-19  jidesoft <anderson@jidesoft.com>

	* properties/com/jidesoft/converter/converter_ar.properties,
	properties/com/jidesoft/converter/converter_de.properties,
	properties/com/jidesoft/converter/converter_es_419.properties,
	properties/com/jidesoft/converter/converter_fr_CA.properties,
	properties/com/jidesoft/converter/converter_ja.properties,
	properties/com/jidesoft/converter/converter_ko.properties,
	properties/com/jidesoft/converter/converter_nl.properties,
	properties/com/jidesoft/converter/converter_pt_BR.properties,
	properties/com/jidesoft/converter/converter_zh_CN.properties,
	properties/com/jidesoft/dialog/buttons_ar.properties,
	properties/com/jidesoft/dialog/buttons_de.properties,
	properties/com/jidesoft/dialog/buttons_es.properties,
	properties/com/jidesoft/dialog/buttons_es_419.properties,
	properties/com/jidesoft/dialog/buttons_fr_CA.properties,
	properties/com/jidesoft/dialog/buttons_it.properties,
	properties/com/jidesoft/dialog/buttons_ja.properties,
	properties/com/jidesoft/dialog/buttons_ko.properties,
	properties/com/jidesoft/dialog/buttons_nl.properties,
	properties/com/jidesoft/dialog/buttons_no_NO.properties,
	properties/com/jidesoft/dialog/buttons_pt_BR.properties,
	properties/com/jidesoft/dialog/buttons_zh_CN.properties,
	properties/com/jidesoft/grouper/group_ar.properties,
	properties/com/jidesoft/grouper/group_de.properties,
	properties/com/jidesoft/grouper/group_es_419.properties,
	properties/com/jidesoft/grouper/group_fr_CA.properties,
	properties/com/jidesoft/grouper/group_ja.properties,
	properties/com/jidesoft/grouper/group_ko.properties,
	properties/com/jidesoft/grouper/group_nl.properties,
	properties/com/jidesoft/grouper/group_pt_BR.properties,
	properties/com/jidesoft/grouper/group_zh_CN.properties,
	properties/com/jidesoft/plaf/basic/basic_ar.properties,
	properties/com/jidesoft/plaf/basic/basic_de.properties,
	properties/com/jidesoft/plaf/basic/basic_es_419.properties,
	properties/com/jidesoft/plaf/basic/basic_fr_CA.properties,
	properties/com/jidesoft/plaf/basic/basic_ja.properties,
	properties/com/jidesoft/plaf/basic/basic_ko.properties,
	properties/com/jidesoft/plaf/basic/basic_nl.properties,
	properties/com/jidesoft/plaf/basic/basic_pt_BR.properties,
	properties/com/jidesoft/plaf/basic/basic_zh_CN.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_ar.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_de.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_es_419.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_fr_CA.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_ja.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_ko.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_nl.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_pt_BR.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_zh_CN.properties,
	properties/com/jidesoft/swing/swing_ar.properties,
	properties/com/jidesoft/swing/swing_de.properties,
	properties/com/jidesoft/swing/swing_es_419.properties,
	properties/com/jidesoft/swing/swing_fr_CA.properties,
	properties/com/jidesoft/swing/swing_ja.properties,
	properties/com/jidesoft/swing/swing_ko.properties,
	properties/com/jidesoft/swing/swing_nl.properties,
	properties/com/jidesoft/swing/swing_no_NO.properties,
	properties/com/jidesoft/swing/swing_pt_BR.properties,
	properties/com/jidesoft/swing/swing_zh_CN.properties: integrate
	properties files

2015-05-19  jidesoft <anderson@jidesoft.com>

	* properties/com/jidesoft/converter/converter.properties,
	properties/com/jidesoft/converter/converter_ar.properties,
	properties/com/jidesoft/converter/converter_de.properties,
	properties/com/jidesoft/converter/converter_es_419.properties,
	properties/com/jidesoft/converter/converter_fr_CA.properties,
	properties/com/jidesoft/converter/converter_ja.properties,
	properties/com/jidesoft/converter/converter_ko.properties,
	properties/com/jidesoft/converter/converter_nl.properties,
	properties/com/jidesoft/converter/converter_pt_BR.properties,
	properties/com/jidesoft/converter/converter_zh_CN.properties,
	properties/com/jidesoft/dialog/buttons.properties,
	properties/com/jidesoft/dialog/buttons_ar.properties,
	properties/com/jidesoft/dialog/buttons_de.properties,
	properties/com/jidesoft/dialog/buttons_es.properties,
	properties/com/jidesoft/dialog/buttons_es_419.properties,
	properties/com/jidesoft/dialog/buttons_fr_CA.properties,
	properties/com/jidesoft/dialog/buttons_it.properties,
	properties/com/jidesoft/dialog/buttons_ja.properties,
	properties/com/jidesoft/dialog/buttons_ko.properties,
	properties/com/jidesoft/dialog/buttons_nl.properties,
	properties/com/jidesoft/dialog/buttons_no_NO.properties,
	properties/com/jidesoft/dialog/buttons_pt_BR.properties,
	properties/com/jidesoft/dialog/buttons_zh_CN.properties,
	properties/com/jidesoft/grouper/group.properties,
	properties/com/jidesoft/grouper/group_ar.properties,
	properties/com/jidesoft/grouper/group_de.properties,
	properties/com/jidesoft/grouper/group_es_419.properties,
	properties/com/jidesoft/grouper/group_fr_CA.properties,
	properties/com/jidesoft/grouper/group_ja.properties,
	properties/com/jidesoft/grouper/group_ko.properties,
	properties/com/jidesoft/grouper/group_nl.properties,
	properties/com/jidesoft/grouper/group_pt_BR.properties,
	properties/com/jidesoft/grouper/group_zh_CN.properties,
	properties/com/jidesoft/plaf/basic/basic.properties,
	properties/com/jidesoft/plaf/basic/basic_ar.properties,
	properties/com/jidesoft/plaf/basic/basic_de.properties,
	properties/com/jidesoft/plaf/basic/basic_es_419.properties,
	properties/com/jidesoft/plaf/basic/basic_fr_CA.properties,
	properties/com/jidesoft/plaf/basic/basic_ja.properties,
	properties/com/jidesoft/plaf/basic/basic_ko.properties,
	properties/com/jidesoft/plaf/basic/basic_nl.properties,
	properties/com/jidesoft/plaf/basic/basic_pt_BR.properties,
	properties/com/jidesoft/plaf/basic/basic_zh_CN.properties,
	properties/com/jidesoft/plaf/basic/folderChooser.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_ar.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_de.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_es_419.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_fr_CA.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_ja.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_ko.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_nl.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_pt_BR.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_zh_CN.properties,
	properties/com/jidesoft/swing/swing.properties,
	properties/com/jidesoft/swing/swing_ar.properties,
	properties/com/jidesoft/swing/swing_de.properties,
	properties/com/jidesoft/swing/swing_es_419.properties,
	properties/com/jidesoft/swing/swing_fr_CA.properties,
	properties/com/jidesoft/swing/swing_ja.properties,
	properties/com/jidesoft/swing/swing_ko.properties,
	properties/com/jidesoft/swing/swing_nl.properties,
	properties/com/jidesoft/swing/swing_no_NO.properties,
	properties/com/jidesoft/swing/swing_pt_BR.properties,
	properties/com/jidesoft/swing/swing_zh_CN.properties: integrate
	properties files

2015-04-14  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,JideTabbedPane,Do not call requestFocus when a tab is
	removed in JideTabbedPane,,no

2015-03-27  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.8

2015-03-20  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/converter/EnumConverter.java: 
	Common,E,EnumConverter,Added a way to use some items from an Enum
	for an EnumConverter,,no

2015-03-11  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/CachedVector.java: misc

2015-02-06  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.7

2015-02-03  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/ListSearchable.java: 
	Common,B,ListSearchable,Fixed the convertElementToString method to
	use the renderer component text in ListSearchable,78430,no

2015-01-21  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Fixed
	the popup hides immediately when using in JavaFX,78350,no

2015-01-20  jidesoft <support@jidesoft.com>

	* properties/com/jidesoft/dialog/{buttons_no_NO.properties =>
	buttons_no.properties},
	properties/com/jidesoft/swing/swing_no.properties,
	properties/com/jidesoft/swing/swing_no_NO.properties: update
	properties for no (norwegian)

2015-01-16  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/CheckBoxTree.java: 
	Common,B,CheckBoxTree,Fixed disabled check box can still be toggled
	when it is in a group of selected
	rows,https://github.com/jidesoft/jide-oss/issues/10,no

2014-12-18  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.6

2014-12-18  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/TypeUtils.java: 
	Grids,B,SummaryGroupRow,Added LongRange and BigDecimalRange to the
	SummaryGroupRow getCellClassAt method,,no

2014-12-17  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/dialog/StandardDialog.java: 
	Dialogs,B,StandardDialog,Fixed a backward compatibility issue with
	StandardDialog constructors,78109,no

2014-12-09  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Common,B,JideSwingUtilities,Inlcuded the button field in
	retargetMouseEvent of JideSwingUtilities,78049,no

2014-12-08  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/CachedArrayList.java,
	src/com/jidesoft/utils/CachedVector.java: 
	Common,B,CachedVector,Fixed a bug in CachedVector when inserting
	element,,no

2014-12-01  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,StyledLabel,Fixed performance issue when painting a long
	styled label,77955,no

2014-11-26  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: 
	Common,B,ComboBoxSearchable,Show popup first before changing the
	text in ComboBoxSearchable,,no

2014-11-26  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/SearchableUtils.java: Common,E,Added
	methods in SearchableUtils to uninstall searchable,,no

2014-11-26  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/comparator/ObjectComparatorManager.java: 
	Common,B,Comparator,Register comparator for numeric wrappers in the
	ObjectComparatorManager,,no

2014-11-24  frank <frank@jidesoft.com>

	* build.properties, pom.xml: 3.6.5 release

2014-11-05  jidesoft <anderson@jidesoft.com>

	* : commit 6326f389d1d51a3734d3e7e37d9e54021b960c12 Author: jidesoft
	<anderson@jidesoft.com> Date:   Wed Nov 5 11:33:29 2014 -0800

2014-11-05  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/dialog/StandardDialog.java: 
	Common,B,StandardDialog,Use modal dialog as default when creating
	StandardDialog without specifying the modal paramater,,no

2014-10-30  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicFolderChooserUI.java: 
	Common,B,FolderChooser,Fixed NPE if the folder name in the new
	folder dialog is empty in FolderChooser,77624,no

2014-10-28  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.3

2014-10-27  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java,
	src/com/jidesoft/utils/PortingUtils.java: Common,E,JidePopup,Added a
	flag to control if the popup will be adjusted so that it will be
	shown across two screens,,no

2014-10-27  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/PortingUtils.java: same as last

2014-10-27  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/PortingUtils.java: 
	Common,E,PortingUtils,Added a method to allow or disallow the rect
	is cross two screens in the ensureOnScreen method,,no

2014-10-21  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/dialog/MultiplePageDialog.java,
	src/com/jidesoft/dialog/StandardDialog.java: 
	Dialog,E,StandardDialog,"Added additional new constructors since JDK
	6 to StandardDialog, MultiplePageDialog and Wizard",no,77474

2014-09-19  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java,
	src/com/jidesoft/swing/LabeledTextField.java: 
	Common,B,JPopupMenu,Fixed many usages of JPopupMenu where it did not
	consider the component orientation,77242,no

2014-09-16  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Fixed a
	compatible issue with SwingNode in JavaFX where the popup window
	shows behind the JavaFX scene,,no

2014-09-15  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/MathUtils.java: Common,B,MathUtils,Fixed a
	bug when the values are larger than Integer.MAX_VALUE or less than
	Integer.MIN_VALUE in the min and max calculation
	respectively,77165,no

2014-09-11  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/DefaultOverlayable.java,
	src/com/jidesoft/swing/LabeledTextField.java: 
	Common,B,DefaultOverlayable,Consider LEADING and TRAILING as the
	overlay location for RTL orientation,77110,no

2014-09-10  frank <frank@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.2

2014-09-10  frank <frank@jidesoft.com>

	* : commit ca023744211f139adfebfcaf6b7d9745dd57715c Author: jidesoft
	<support@jidesoft.com> Date:   Mon Aug 25 09:50:54 2014 -0700

2014-08-07  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/JidePopupMenu.java: 
	Common,E,JidePopupMenu,Added setVisibleMenuItemCount method to
	control the maximum menu items to be shown,,no

2014-07-31  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/CheckBoxList.java: update javadoc

2014-07-30  jidesoft <anderson@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.1

2014-07-30  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-07-14  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,B,SearchableBar,Fixed the occurrence count did not get
	updated if setSearchingDelay is set to -1,76565,no

2014-07-08  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java,
	src/com/jidesoft/swing/SwingLazyValue.java: remove a few usages of
	JDK internal API

2014-06-24  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/converter/BigDecimalConverter.java,
	src/com/jidesoft/converter/NumberConverter.java: Common,B,Fixed the
	BigDecimalConverter causes precision changes in the fromString
	method,,no

2014-06-20  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/AutoCompletion.java,
	src/com/jidesoft/swing/Searchable.java: 
	Common,B,AutoCompletion,Fixed AutoCompletion will fire item event
	when an empty string is in the auto-completion list,76405,no

2014-06-20  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/AutoCompletion.java,
	src/com/jidesoft/swing/Searchable.java: 
	Common,B,AutoCompletion,Added a check to see if the entry is in the
	auto-completion list before auto-completing it to the first entry
	that matches,76400,no

2014-06-20  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-06-20  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-06-19  frank <frank@jidesoft.com>

	* : commit 72eea1e487c83b1eb3019423caff6b3fc7808f30 Author: jidesoft
	<support@jidesoft.com> Date:   Thu Jun 19 15:23:13 2014 -0700

2014-06-16  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/range/AbstractRange.java,
	src/com/jidesoft/range/AggregatedRange.java,
	src/com/jidesoft/range/Range.java: Gantt,B,GanttModel,Added
	getPropertyChangeListeners methods to Range interface,,no

2014-06-13  frank <frank@jidesoft.com>

	* : commit 125029cb6b8ab5f4be74ee71eef2655281315403 Merge: d7460834
	48773872 Author: frank <frank@jidesoft.com> Date:   Fri Jun 13
	10:50:08 2014 -0700

2014-06-13  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/CachedVector.java: fixed a performance
	issue

2014-06-11  jidesoft <anderson@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.6.0

2014-06-09  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-06-06  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/CachedVector.java: 
	Common,B,CachedVector,Improve the performance of CachedVector,,no

2014-06-06  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/PortingUtils.java: 
	Common,B,PortingUtils,Fixed ensureVisible method uses the main
	screen instead of the local screen,,no

2014-06-04  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-05-27  frank <frank@jidesoft.com>

	* : commit b3ce8d9894fed0f07afe725cd390fc241b84480c Author: jidesoft
	<support@jidesoft.com> Date:   Tue May 27 11:22:58 2014 -0700

2014-05-27  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-05-23  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-05-23  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-05-05  frank <frank@jidesoft.com>

	* : commit c7ebcdaf89ecb9f66af3760ddc9792abc2bb8403 Author: jidesoft
	<support@jidesoft.com> Date:   Mon May 5 08:21:48 2014 -0700

2014-04-25  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/JideBoxLayout.java: 
	Common,B,JideBoxLayout,Fixed a bug that it should use resolveAxis
	instead of the axis directly in JideBoxLayout,75824,no

2014-04-24  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/range/IntegerRange.java,
	src/com/jidesoft/range/NumericRange.java,
	src/com/jidesoft/range/TimeRange.java: Common,E,Range,Fixed so that
	adjust method in Range accept null value in one of the two
	values,75807,no

2014-04-21  frank <frank@jidesoft.com>

	* : commit 43a122af2aa1bbc2316447ce76163788529efa70 Author: jidesoft
	<support@jidesoft.com> Date:   Mon Apr 21 10:54:29 2014 -0700

2014-01-24  frank <frank@jidesoft.com>

	* build.properties: 3.5.13

2014-04-16  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Grids,B,JideTable,Fixed so that the cell validation will be
	triggered before the row validator,75708,no

2014-04-14  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/NavigationComponentHelper.java: 
	Grids,B,NavigationComponentHelper,Fixed NPE when there are no rows
	in a NavigationList,75668,no

2014-04-04  jidesoft <anderson@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.5.15

2014-03-31  jidesoft <support@jidesoft.com>

	* properties/com/jidesoft/swing/swing_de.properties: update
	translation

2014-03-31  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/grouper/date/DateGrouper.java: 
	Common,B,DateGrouper,Fixed multiple-threading issue in DateGrouper
	and improve the JavaDoc ,,no

2014-03-31  jidesoft <support@jidesoft.com>

	* properties/com/jidesoft/swing/swing_de.properties,
	properties/com/jidesoft/swing/swing_fr.properties: 
	Common,B,swing.properties,Added missing translations for
	swing_de.properties,75534,no

2014-03-29  sawhite <swhite@catalysoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-03-11  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/Searchable.java: Common,B,Searchable,Added
	an NPE check in Searchable,,no

2014-03-10  jidesoft <support@jidesoft.com>

	* LICENSE.txt: Update LICENSE.txt

2014-03-10  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/NavigationComponentHelper.java: 
	Common,B,NavigationComponentHelper,Fixed NPE in
	NavigationComponentHelper,75346,no

2014-02-28  jidesoft <anderson@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.5.14

2014-02-27  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/Searchable.java: Common,Searchable,Fixed
	the searchable does not show up after hidden by a mouse click in a
	CheckBoxListExComboBox,75225,no

2014-02-02  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/eclipse/EclipseMenuItemUI.java,
	src/com/jidesoft/plaf/eclipse/EclipseMenuUI.java,
	src/com/jidesoft/plaf/metal/MetalMenuItemUI.java,
	src/com/jidesoft/plaf/metal/MetalMenuUI.java,
	src/com/jidesoft/plaf/vsnet/VsnetMenuItemUI.java,
	src/com/jidesoft/plaf/vsnet/VsnetMenuUI.java: possible fix for
	mnemonic issue

2014-01-27  jidesoft <support@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2014-01-24  jidesoft <anderson@jidesoft.com>

	* README.txt, build.properties, pom.xml: release 3.5.13

2014-01-12  Xiaoze Yang <yangxiaoze@gmail.com>

	* src/com/jidesoft/swing/Searchable.java: Common,B,Searchable,Fixed
	so that quick search in Searchable respects the space character in
	the beginning,74753,no

2014-01-04  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java: code format
	change,no

2014-01-04  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideButtonListener.java,
	src/com/jidesoft/plaf/eclipse/EclipseJideSplitButtonUI.java,
	src/com/jidesoft/plaf/eclipse/EclipseMenuUI.java,
	src/com/jidesoft/plaf/metal/MetalJideSplitButtonUI.java,
	src/com/jidesoft/plaf/metal/MetalMenuUI.java,
	src/com/jidesoft/plaf/vsnet/VsnetMenuUI.java: Common,B,MenuUI,Fixed
	Alt key not working since 3.5.9 release,74662,no

2013-12-27  jidesoft <anderson@jidesoft.com>

	* README.txt, build.properties, pom.xml: tag release 3.5.12

2013-12-20  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/JideTitledBorder.java: 
	Common,B,JideTitledBorder,Fixed the border has no insets on
	JDK6,74513,no

2013-11-27  jidesoft <support@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-11-22  jidesoft <support@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-11-21  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-11-21  frank <frank@jidesoft.com>

	* properties/com/jidesoft/converter/converter_it.properties,
	properties/com/jidesoft/grouper/group_it.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_it.properties,
	properties/com/jidesoft/swing/swing_it.properties: Italian
	Translation Update, 73769

2013-11-21  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/aqua/AquaPreferences.java: 
	Common,E,AquaPreferences,Added a way to bypassing the AquaPreference
	if the UIDefaults has the value we are looking for with
	"AquaPreference." as prefix then the key itself,74056,no

2013-11-04  Xiaoze Yang <yangxiaoze@gmail.com>

	* src/com/jidesoft/swing/Searchable.java: misc

2013-10-22  frank <frank@jidesoft.com>

	* build.properties: build release 3.5.10

2013-10-23  jidesoft <anderson@jidesoft.com>

	* README.txt, build.properties, pom.xml,
	properties/com/jidesoft/swing/swing_en.properties: release 3.5.10

2013-10-18  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Fixed
	the popup position issue when the Windows task bar is on the left
	side,73637,no

2013-10-04  jidesoft <anderson@jidesoft.com>

	* build.properties, pom.xml: update version to 3.5.9

2013-10-04  jidesoft <anderson@jidesoft.com>

	* : commit 1813e6f7c0d5698761e27455767c62a4bf1000ca Author: jidesoft
	<support@jidesoft.com> Date:   Thu Sep 26 15:04:37 2013 -0700

2013-09-26  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java: further fix for
	the previous one for the contour color (no change log)

2013-09-24  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/plaf/eclipse/Eclipse3xJideTabbedPaneUI.java: 
	Common,B,Eclipse3xJideTabbedPaneUI,Fix the issue of unmappable
	characters prevent building the javadoc documentation,,no

2013-09-24  jidesoft <anderson@jidesoft.com>

	* src/com/jidesoft/plaf/eclipse/Eclipse3xJideTabbedPaneUI.java: 
	Unmappable characters prevent building the javadoc documentation.

2013-09-24  jidesoft <anderson@jidesoft.com>

	* : commit 6429ea9a70725d241818298a97ea442f3aa2c15b Author: jidesoft
	<support@jidesoft.com> Date:   Tue Sep 24 10:11:31 2013 -0700

2013-09-11  sawhite <swhite@catalysoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-09-10  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/aqua/AquaJideTabbedPaneUI.java: 
	Common,B,JideTabbedPane,Fixed the tab background is wrong on Mac in
	DocumentPane,73183,no

2013-09-10  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideButtonListener.java,
	src/com/jidesoft/plaf/eclipse/EclipseMenuUI.java,
	src/com/jidesoft/plaf/metal/MetalMenuUI.java,
	src/com/jidesoft/plaf/vsnet/VsnetMenuUI.java,
	src/com/jidesoft/swing/JideSwingUtilities.java: 
	Common,B,JideSplitButton,Fixed mnemonic not working on
	JideSplitButton,73185,no

2013-09-03  jidesoft <anderson@jidesoft.com>

	* : commit 83ed8a9a19d448b2258258d421422f406b0b47b0 Author: Xiaoze
	Yang <yangxiaoze@gmail.com> Date:   Fri Aug 30 16:26:20 2013 -0700

2013-08-29  jidesoft <anderson@jidesoft.com>

	* : commit 43ed520332236abb67f88558e308891959398eee Merge: c76788b7
	34ce093d Author: frankxu <frank@jidesoft.com> Date:   Wed Aug 28
	14:41:06 2013 -0700

2013-08-28  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/dialog/StandardDialog.java: 
	Common,E,StandardDialog,Added StandardDialog constructors with
	Window as parameter,,no

2013-08-18  sawhite <swhite@catalysoft.com>

	* src/com/jidesoft/range/AbstractRange.java,
	src/com/jidesoft/range/CategoryRange.java,
	src/com/jidesoft/range/CombinedNumericRange.java,
	src/com/jidesoft/range/IntegerRange.java,
	src/com/jidesoft/range/NumericRange.java,
	src/com/jidesoft/range/RangeMorpher.java,
	src/com/jidesoft/range/TimeRange.java: JIDE Common,E,Range
	Morpher,Added class to support timed changes to ranges

2013-08-01  jidesoft <anderson@jidesoft.com>

	* build.properties, pom.xml: release 3.5.7

2013-07-31  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/utils/PortingUtils.java: 
	Common,B,PortingUtils,Fixed the issue in
	PortingUtils#ensureOnScreen(),,no

2013-07-03  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: remove setAutoRequestFocus
	call

2013-06-27  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Added
	setAutoRequestFocus call before making the popup visible,,no

2013-06-26  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the actionCommand is not passed
	to the ActionEvent,,no

2013-06-13  yangxiaoze <yangxiaoze@gmail.com>

	* README.txt, build.properties, pom.xml: common layer 3.5.6

2013-06-13  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,B,SearchableBar,Fixed the issue that the matching count could
	not be cleared while clearing the searching text in
	SearchableBar,72195,no

2013-06-12  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: 
	Common,B,Fixed the StackOverflowError when removing a tree node that
	all its siblings are selected in a CheckBoxTree,71912,no

2013-06-11  frankxu <frank@jidesoft.com>

	* properties/com/jidesoft/swing/swing_fr.properties: misc, no

2013-06-04  frankxu <frank@jidesoft.com>

	* properties/com/jidesoft/swing/swing_fr.properties,
	src/com/jidesoft/swing/swing.properties: French translation, 72194,
	no

2013-05-27  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed a regression of the selected tab text
	color,72028,no Backward Compatible: the ColorProvider's
	getForegroudAt method had a typo and renamed to getForegroundAt

2013-05-24  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/dialog/PageList.java:  Common,B,PageList,Fixed so that the PageList could fire correct
	 PAGE_OPENED event on switching the page,72012,no

2013-05-24  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-05-17  yangxiaoze <yangxiaoze@gmail.com>

	* build.properties, pom.xml,
	src/com/jidesoft/swing/DefaultOverlayable.java: common layer 3.5.5

2013-05-15  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,B,LookAndFeelFactory,Removed the system property setting to
	avoid the security issue on applets,71822,no

2013-05-15  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/xerto/VerticalLabelUI.java: 
	Component,E,CollapsiblePane,Added CollapsiblePane#setRotateIcon() to
	control the behavior about how the icon could be rotated or not in
	west/east scenarios,,no

2013-05-14  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that
	JideTabbedPane#setShowTabArea(false) will disable the mouse event
	handler correctly,,no

2013-05-14  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-05-08  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/vsnet/VsnetMenuItemUI.java: 
	Common,B,VsnetMenuItemUI,Fixed the CheckBox MenuItem selection box
	is too small if the icon is large,,no

2013-05-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/TristateCheckBox.java: 
	Common,B,TristateCheckBox,Fixed the issue that invoking
	TristateCheckBox#setState() could not update the UI immediately,,no

2013-05-03  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/converter/EnumConverter.java: 
	Common,B,EnumConverter,Fixed the NPE issue while the first entry of
	the valueList is null,71709,no

2013-04-30  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-04-28  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/UIDefaultsLookup.java: 
	Common,B,UIDefaultsLookup,Fixed NoSuchMethodError in JDK8
	b87,71624,no

2013-04-17  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed so that the method
	JideTabbedPane#setClosableAt() could be respected after
	JideTabbedPane#moveSelectedTabTo() is invoked,71489,no

2013-04-16  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/AutoScroll.java: 
	Grids,B,TableColumnResizer,Fixed so that resizing column does not
	cause flickering,71264

2013-04-12  yangxiaoze <yangxiaoze@gmail.com>

	* JIDE Common Layer.iml, README.txt, build.properties, pom.xml: 
	update release info

2013-04-03  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-03-28  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Fixed so
	that JidePopup#MOVE_ON_MOVED could work correctly with
	JidePopup#LIGHT_WEIGHT_POPUP,,no

2013-03-17  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/plaf/eclipse/Eclipse3xWindowsUtils.java: update
	copyright

2013-03-14  yangxiaoze <yangxiaoze@gmail.com>

	* build.properties, pom.xml: make constant with branch number

2013-03-08  jidesoft <support@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-03-07  yangxiaoze <yangxiaoze@gmail.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,B,SearchableBar,Fixed the issue that
	SearchableBar#setSearchHistory() might throw exception,70873,no

2013-03-05  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,SearchableBar,B,Added gaps to check boxes on
	SearchableBar,70611,no

2013-03-05  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,SearchableBar,B,Added gaps to check boxes on
	SearchableBar,70611,no

2013-02-20  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/FolderChooser.java: add javadoc

2013-02-20  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/comparator/AlphanumFileComparator.java,
	src/com/jidesoft/plaf/basic/BasicFileSystemTreeNode.java,
	src/com/jidesoft/swing/FolderChooser.java: 
	Common,E,FolderChooser,Added setFileComparator method to
	FolderChooser and a new comparator AlphanumFileComparator to use
	alphanum sorting algorithm so that FolderChooser can sort the
	folders alphanum-ly,,no

2013-02-18  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/hints/AbstractIntelliHints.java: 
	Common,B,IntelliHints,Fixed so that non-editable text component will
	not show intellihints popup,,no

2013-02-15  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/dialog/ButtonNames.java: 
	Grids,B,ExComboBoxPopup,Set button name for OK/Cancel button in
	ExComboBoxPopup,,no

2013-02-15  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2013-02-11  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Editor,B,SearchableBar,Fixed so that the match count information
	could be displayed when the history feature is enabled in
	SearchableBar,70612,no

2013-02-08  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/ReflectionUtils.java: use change to
	MultiTableModel

2013-02-08  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/ReflectionUtils.java: fixed it so that
	ooxml-schema jar doesn't need to be included in the class path in
	order to compile

2013-02-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/Searchable.java,
	src/com/jidesoft/swing/SearchableBar.java,
	src/com/jidesoft/swing/TextComponentSearchable.java,
	src/com/jidesoft/swing/swing.properties: 
	Common,E,SearchableBar,Added match count for SearchableBar,70463,no

2013-02-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java,
	src/com/jidesoft/swing/WholeWordsSupport.java,
	src/com/jidesoft/swing/swing.properties: 
	Editor,E,CodeEditorSearchable,Added
	CodeEditorSearchable#setWholeWords() to support whole words only
	searching,70464,no

2013-02-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Common,B,JideSwingUtilities,Fixed the IAE issue while print a
	StyledLabel to PDF,70531,no

2013-02-01  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,B,SearchableBar,Fixed the issue that SearchableBar always
	searched from the start of the target instead of current
	cursor,70480,no

2013-01-31  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/SelectAllUtils.java: 
	Common,B,SelectAllUtils,Fixed so that SelectAllUtils could work well
	with the editor component inside JSpinner,70450,no

2013-01-22  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: revert 1.6 to 1.5 for compiling compatibility

2013-01-22  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: jide-oss-3.5.1

2013-01-16  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed so that invoking
	JideTabbedPane#removeTabAt() won't change the current focus,70122,no

2013-01-15  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/converter/NumberConverter.java: 
	Common,E,NumberConverter,Added
	NumberConverter#setAvoidNegativeZero() to remove unnecessary
	negative sign before zero,,no

2013-01-09  yangxiaoze <yangxiaoze@gmail.com>

	* : Merge pull request #1 from karolherbst/pom_fix update java source version to 1.6

2013-01-08  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Improved the scrolling performance
	while the tab count of a JideTabbedPane is large,69942,no

2013-01-08  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-12-14  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: commono layer 3.5.0

2012-12-13  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/converter/ArrayConverter.java: 
	Common,E,ArrayConverter,Added ArrayConverter#setUseTokenizer() to
	customize the behavior of ArrayConverter,,no

2012-12-11  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-12-11  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/ProductNames.java: add a space

2012-12-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed the issue that the tab closable
	property was incorrectly aligned after closing a tab,69466,no

2012-12-05  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideButtonUI.java: 
	Common,B,BasicJideButtonUI,Fixed so that the JideButton could paint
	the hyper link when disabled if JideButton#isAlwaysShowHyperlink()
	returns true,69437,no

2012-11-30  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/utils/CacheMap.java: Common,B,CacheMap,Fixed so
	that CacheMap could interpret nested interface well,69351,no

2012-11-26  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-11-21  frankxu <frank@jidesoft.com>

	* properties/com/jidesoft/plaf/basic/basic_fr.properties: French
	Translation, no

2012-11-15  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: jide-oss-3.4.9_2

2012-11-15  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-11-15  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: jide-oss-3.4.9

2012-11-09  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-10-30  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/vsnet/VsnetJideTabbedPaneUI.java:  Common,B,VsnetJideTabbedPaneUI,Fixed the inconsistent border
	 painting issue for JideTabbedPane when the tab area is hidden or
	 not,68777,no

2012-10-29  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/VisibilityFocusTraversalPolicy.java,
	src/com/jidesoft/utils/ReflectionUtils.java: 
	Component,B,CollapsiblePane,Fixed the StackOverflowError while
	CollapsiblePane working on NetBeans,68732,no

2012-10-25  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/utils/SystemInfo.java:  Common,B,SystemInfo,Added system check for Windows 8 in
	 SystemInfo#isWindows8(),68685,no

2012-10-25  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Common,B,JideSwingUtilities,Fixed the JDK7u9 compatibility issue for
	RenderingHints casting,68698,no

2012-10-24  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-10-16  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: Common Layer 3.4.8

2012-10-16  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-10-16  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the issue that the StyledLabel's
	preferred size might be incorrect when the line breaks are more than
	the StyledLabel#getRows(),68433,no

2012-10-11  yangxiaoze <yangxiaoze@gmail.com>

	* : optimize the image quality of PDF

2012-10-09  yangxiaoze <yangxiaoze@gmail.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,B,SearchableBar,Fix the issue so the CheckBox will has the
	same background as the bar in all L&F,68265,no

2012-10-03  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/AutoCompletionComboBox.java: 
	Common,B,AutoCompletionComboBox,Fixed so that AutoCompletionComboBox
	won't fire action event to stop cell editing when it's used as a
	cell editor,68071,no

2012-10-02  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: 
	Common,B,ComboBoxSearchable,Fixed the issue that searching on a
	plain JComboBox might cause unnecessary flickering,68076,no

2012-09-28  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/vsnet/VsnetMenuItemUI.java: 
	Common,B,VsnetMenuItemUI,Added a client property
	"MenuItem.shadowWidth" for JMenu so that setting that client
	property could adjust the default shadow width of the painted menu
	item,,no

2012-09-28  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-09-28  frank <frank@jidesoft.com>

	* : commit b466317d9c93f2321a612bf1b9f8850ef9431071 Author: frank
	<frank@jidesoft.com> Date:   Tue Sep 25 17:48:27 2012 -0700

2012-09-25  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: release 3.4.7

2012-09-25  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-09-18  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/AutoResizingTextArea.java: 
	Common,E,AutoResizingTextArea,"Consider line wrapping when
	calculating the row count in the AutoResizingTextArea. Thanks Walter
	for the code contribution",67685,no

2012-09-18  jidesoft <support@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-09-17  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/AutoResizingTextArea.java: 
	Common,E,AutoResizingTextArea,Added getVisualRowCount so that
	subclass can implement their own visual row count when
	resizing,13751,no

2012-09-14  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-09-14  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: misc,no

2012-09-13  frank <frank@jidesoft.com>

	* build.properties, pom.xml: build

2012-09-13  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/NavigationComponentHelper.java: 
	Common,E,NavigationComponentHelper,Added
	NavigationComponentHelper#getSelectionColor() so that the customers
	could customize the selection color easier,67537,no

2012-09-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: misc, no

2012-09-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: misc, no

2012-09-05  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the issue that JideTabbedPane
	didn't use the selected tab font to calculate the correct tab
	width,,yes

2012-09-05  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: 
	Common,B,ComboBoxSearchable,Fixed the issue that pressing ENTER
	after typing several keys could not select the matching item
	correctly while ShrinkSearchableSupport is installed over
	ComboBoxSearchable,,yes

2012-09-05  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/utils/PortingUtils.java: NPE, no

2012-09-05  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/utils/PortingUtils.java: 
	Common,B,PortingUtils,Fixed so that invoking
	PortingUtils#initializeScreenArea() will be able to refresh the
	screen bounds,67306,no

2012-09-03  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/ShadowFactory.java,
	src/com/jidesoft/swing/ShadowRenderer.java: 
	Common,E,ShadowFactory,ShadowFactory now implements a ShadowRenderer
	interface

2012-08-23  yangxiaoze <yangxiaoze@gmail.com>

	* src/com/jidesoft/plaf/metal/MetalMenuItemUI.java: 
	Grids,B,MetalMenuItemUI,Fix the issue of item alignment when there
	are JCheckBoxMenuItem and JMenuItem with icon in save popup menu,,no

2012-08-20  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-08-16  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java:  Common,B,BasicStyledLabelUI,Fixed a divider by zero exception in
	 StyledLabel when isLineWrap() is true,,no

2012-08-10  yangxiaoze <yangxiaoze@gmail.com>

	* src/com/jidesoft/plaf/basic/BasicJideSplitButtonUI.java: misc,no

2012-08-10  yangxiaoze <yangxiaoze@gmail.com>

	* src/com/jidesoft/plaf/basic/BasicJideSplitButtonUI.java: 
	Common,B,BasicJideSplitButton,Fixed the right-to-left orientation
	issue on JideSplitButton,66728,no

2012-08-08  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,B,SearchableBar,Fixed so that  SearchableBar#setSearchHistory
	could update the combo box immediately,66730,no

2012-08-03  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/PartialEtchedBorder.java: 
	Common,E,PartialEtchedBorder,Made PartialEtchedBorder support round
	corner when it paints all side,66677,no

2012-07-25  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-07-24  frank <frank@jidesoft.com>

	* build.properties, pom.xml: 3.4.4, no

2012-07-23  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideSplitPane.java: 
	Common,B,JideSplitPane,Fixed the issue that JideSplitPane might be
	set to visible incorrectly which makes it is painted incorrectly
	when added to a JideTabbedPane directly,,no

2012-07-19  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: misc, no

2012-07-18  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the issue that the scroll
	backward button might be enabled incorrectly after closing a tab
	when JideTabbedPane working in RTL mode,,no

2012-07-17  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the issue that the scroll back
	button is enabled incorrectly when there is only one tab when the
	JideTabbedPane works on RTL mode and always show tab buttons,,no

2012-07-17  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/NavigationComponentHelper.java: 
	Common,B,NavigationComponentHelper,Fixed the issue that the
	selection is not painted correctly in NavigationTree under Metal
	L&F,,no

2012-07-17  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/CheckBoxListCellRenderer.java: 
	Common,B,CheckBoxListCellRenderer,Changed the field _checkBox in the
	class CheckBoxListCellRenderer to AbstractButton for easier
	customization,66303,no Backward
	Compatibility:Common,B,CheckBoxListCellRenderer,the field _checkBox
	in the class CheckBoxListCellRenderer is changed to AbstractButton
	which might cause compilation error if you ever overrode this class
	and call some JCheckBox only method for the field _checkBox,66303,no

2012-07-13  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideSplitPane.java: 
	Common,B,JideSplitPane,Fixed so that
	JideSplitPane#resetToPreferredSizes() will always reset the layout
	to respect the preferred size of the child components,,no

2012-07-12  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,B,LookAndFeelFactory,Fixed the Swing bug that the
	up/down/enter/escape key does not work in JMenu in RTL
	orientation,,no

2012-07-12  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/VisibilityFocusTraversalPolicy.java: 
	Component,B,CollapsiblePane,Fixed the StackOverflowError while
	CollapsiblePane working with PCanvas or the
	LegacyGlueFocusTraversalPolicy,,no

2012-07-10  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the issue that the first tab in
	JideTabbedPane is cut in RTL mode,,no

2012-07-10  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideBoxLayout.java: 
	Common,B,JideBoxLayout,Fixed the incorrect layout issue in
	JideBoxLayout & RTL orientation if all its child components are
	fixed and the preferred size is larger than the actual size,,no

2012-07-09  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the issue that the tab focus
	indicator was painted incorrectly in RTL orientation,,no

2012-07-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the tab scroll button issues in
	RTL orientation,,no

2012-07-06  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-06-28  frank <frank@jidesoft.com>

	* build.properties, pom.xml: misc, no

2012-06-25  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/converter/ObjectConverterManager.java: 
	Common,B,ObjectConverterManager,Fixed the NPE issue if the class
	type is null when ObjectConverterManager#fromString() is
	invoked,65882,no

2012-06-25  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed the NPE issue while selected tab font
	of a JideTabbedPane is null which is a regression in 3.4.2.,65864,no

2012-06-22  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/VisibilityFocusTraversalPolicy.java: 
	Common,B,VisibilityFocusTraversalPolicy,Fixed a potential
	StackOverflowError while the default focus component is not visible
	and VisibilityFocusTraversalPolicy#getDefaultPolicy() is an instance
	of SortingFocusTraversalPolicy,,no

2012-06-21  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/validation/ValidationResult.java: 
	Grids,B,JideTable,Fixed so that the new value returned by
	JideCellEditor#validate() could be respected and
	ValidationResult#NULL_VALUE is added for setting the new value to
	null,,no

2012-06-20  yangxiaoze <yangxiaoze@gmail.com>

	* : commit 15c936bce1b6914fbfd4292c4020ac01fdfd1777 Author: frankxu
	<frank@jidesoft.com> Date:   Wed Jun 20 13:16:24 2012 -0700

2012-06-20  yangxiaoze <yangxiaoze@gmail.com>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Grids,B,AutoFilterTableHeader,Fixed the issue that will trigger
	redundant model change action,65760,no

2012-06-19  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-06-19  yangxiaoze <yangxiaoze@gmail.com>

	* pom.xml: change version number

2012-06-19  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-06-18  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the issue that the style of the
	second line after a line break was not painted correctly,,no

2012-06-13  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/swing/TransparentComponentWrapper.java: add two
	new synthetica themes

2012-06-13  yangxiaoze <yangxiaoze@gmail.com>

	* : Merge remote-tracking branch 'origin/master'

2012-06-13  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideSplitPane.java: 
	Common,B,JideSplitPane,Fixed so that invoking
	JideSplitPane#setPaneAt() and setDividerLocation() will validate()
	anyway,,no

2012-06-11  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-06-08  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-06-08  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed the issue that sometimes the tab
	navigation buttons are painted to wrong direction under RTL
	orientation,,no

2012-06-08  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that JideTabbedPane could
	show the close button under RTL and RESIZE_MODE_FIT mode,,no

2012-06-08  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that the JideTabbedPane is
	painted correctly in RESIZE_MODE_FIT when a leading or trailing
	component is in place under RTL orientation,,no

2012-06-08  frankxu <frank@jidesoft.com>

	* : Common,B,BasicStyledLabelUI,Fixed the issue that AutoFilterBox
	painted the sort arrow and the sort icon incorrectly,65528,no

2012-06-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/CheckBoxListSelectionModel.java: 
	Common,B,CheckBoxListSelectionModel,Fixed the issue that unnecessary
	list selection changed event might be fired when selecting all,,no

2012-06-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/LabeledTextField.java: 
	Common,E,LabeledTextField,Added
	LabeledTextField#calculateContextMenuLocation() for the customer to
	customize the location of the popup menu,65453,no

2012-06-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that the selected tab's font
	will be consistent with the other tabs' font when
	JideTabbedPane#setFont() is configured with a non-UIResource
	Font,65452,no

2012-06-06  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java:  Common,B,JidePopup,Fixed the incorrect popup location issue while
	 JidePopup is popped up upwards,65459,no

2012-06-05  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/DelegateAction.java: 
	Common,B,DelegateAction,Fixed the issue that
	DelegateAction#restoreAction() could not restore the action if there
	is no action registered originally,,no

2012-06-05  frank <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-06-01  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that the tab aligned to the
	right in RTL model when there are only a few tabs in the
	JideTabbedPane,,no

2012-06-01  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that the JideTabbedPane
	paint tabs correctly when the tab resize mode is TAB_RESIZE_FIT and
	the component orientation is RTL,,no

2012-06-01  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that the tab navigation
	buttons will not be shown when JideTabbedPane#getTabResizeMode() is
	JideTabbedPane.RESIZE_MODE_FIT,,no

2012-06-01  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the NPE while dynamically
	changing the component orientation of JideTabbedPane before actually
	painting it,,no

2012-05-31  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/converter/ObjectConverterManager.java,
	src/com/jidesoft/converter/PercentConverter.java: 
	Common,B,PercentConverter,Fixed so that PercentConverter will not
	divide the value with 100 if "%" is typed,,no
	Common,B,ObjectConverterManager,"Fixed so that
	ObjectConverterManager#fromString() will return the correct number
	type for Number classes like Double, Long, etc.",,no

2012-05-30  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/dialog/BannerPanel.java: 
	Common,E,BannerPanel,Added BannerPanel#createSubtitleLabel() for
	easy customization for the subtitle label,65301,no

2012-05-30  jidesoft <support@jidesoft.com>

	* README.txt: fixed a typo

2012-05-29  frank <frank@jidesoft.com>

	* build.properties,
	properties/com/jidesoft/plaf/basic/basic_en.properties: misc, no

2012-05-25  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/LabeledTextField.java: 
	Common,B,LabeledTextField,Added
	LabeledTextField#customizePopupMenu() for easier customization,,no
	Data,B,PageNavigationField,Removed the unused "goto" menu item of
	PageNavigationField,,no

2012-05-25  yangxiaoze <yangxiaoze@gmail.com>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: 
	Common,Bug,CheckBoxTreeSelectionModel,fixed fail to identify two
	value equaled instances,,no

2012-05-24  yangxiaoze <yangxiaoze@gmail.com>

	* src/com/jidesoft/converter/ObjectConverterManager.java: 
	Common,B,ObjectConverterManager,Fixed so that the
	DefaultArrayConverter will be returned if it's newly registered for
	an array object,,no

2012-05-21  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: misc, no

2012-05-19  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/dialog/JideOptionPane.java: 
	Common,B,JideOptionPane,Fixed the background inconsistent on
	JideOptionPane under Synthetica theme,64949,no

2012-05-18  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,E,SearchableBar,Added SearchableBar#setMaxHistoryLength() so
	that SearchableBar could have a combo box to show the history
	search,64933,no

2012-05-18  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/popup/JidePopup.java: 
	Grids,B,DateExComboBox,Fixed the issue that the JPopupMenu triggered
	by clicking the month label in DateComboBox could not be dismissed
	after clicking the other buttons in the DateChooserPanel,64871,no

2012-05-17  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Dock,B,DefaultDockingManager,Fixed so that the frame won't be
	selected when clicking middle or right mouse buttons,64897,no

2012-05-17  jidesoft <support@jidesoft.com>

	* : commit caf9945347a932a6bd54df571441d8866186f5fa Author: jidesoft
	<support@jidesoft.com> Date:   Thu May 17 11:08:45 2012 -0700

2012-05-17  frankxu <frank@jidesoft.com>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed so that the popup triggered by the tab
	list button could follow the RTL if the JideTabbedPane is RTL,,no

2012-05-17  yangxiaoze <yangxiaoze@gmail.com>

	* README.txt: update README format

2012-05-17  yangxiaoze <yangxiaoze@gmail.com>

	* README.txt: update README format

2012-05-17  yangxiaoze <yangxiaoze@gmail.com>

	* README.txt: update README format

2012-05-17  yangxiaoze <yangxiaoze@gmail.com>

	* README.txt: update REAMDE format

2012-05-17  yangxiaoze <yangxiaoze@gmail.com>

	* README.txt, oss-test-project/README.txt,
	oss-test-project/build.properties, oss-test-project/build.xml,
	oss-test-project/pom.xml,
	oss-test-project/src/test/java/com/jidesoft/comparator/TestNumberCo
	mparator.java,
	oss-test-project/src/test/java/com/jidesoft/converter/ObjectConvert
	erManagerTest.java,
	oss-test-project/src/test/java/com/jidesoft/converter/TestEnumConve
	rter.java,
	oss-test-project/src/test/java/com/jidesoft/swing/CornerScrollerVis
	ualTest.java,
	oss-test-project/src/test/java/com/jidesoft/swing/TestResizableWind
	ow.java,
	oss-test-project/src/test/java/com/jidesoft/utils/ActiveCachedArray
	List.java,
	oss-test-project/src/test/java/com/jidesoft/utils/TestBigDecimalMat
	hUtils.java,
	oss-test-project/src/test/java/com/jidesoft/utils/TestCacheArray.ja
	va,
	oss-test-project/src/test/java/com/jidesoft/utils/TestCachedArrayLi
	st.java,
	oss-test-project/src/test/java/com/jidesoft/utils/TestFontUtils.jav
	a,
	oss-test-project/src/test/java/com/jidesoft/utils/TestSystemInfo.ja
	va: update README

2012-05-17  yangxiaoze <yangxiaoze@gmail.com>

	* README.txt, maven-repo.bat, oss-test-project/README.txt,
	oss-test-project/build.properties, oss-test-project/build.xml,
	oss-test-project/pom.xml,
	oss-test-project/src/test/java/com/jidesoft/comparator/TestNumberCo
	mparator.java,
	oss-test-project/src/test/java/com/jidesoft/converter/ObjectConvert
	erManagerTest.java,
	oss-test-project/src/test/java/com/jidesoft/converter/TestEnumConve
	rter.java,
	oss-test-project/src/test/java/com/jidesoft/swing/CornerScrollerVis
	ualTest.java,
	oss-test-project/src/test/java/com/jidesoft/swing/TestResizableWind
	ow.java,
	oss-test-project/src/test/java/com/jidesoft/utils/ActiveCachedArray
	List.java,
	oss-test-project/src/test/java/com/jidesoft/utils/TestBigDecimalMat
	hUtils.java,
	oss-test-project/src/test/java/com/jidesoft/utils/TestCacheArray.ja
	va,
	oss-test-project/src/test/java/com/jidesoft/utils/TestCachedArrayLi
	st.java,
	oss-test-project/src/test/java/com/jidesoft/utils/TestFontUtils.jav
	a,
	oss-test-project/src/test/java/com/jidesoft/utils/TestSystemInfo.ja
	va, test/com/jidesoft/swing/TestResizableWindow.java: add test
	project and modify README

2012-05-17  yangxiaoze <yangxiaoze@gmail.com>

	* : Merge remote-tracking branch 'origin/master'

2012-05-16  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-05-16  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/ColorUtils.java: revert previous change

2012-05-16  yangxiaoze <yangxiaoze@gmail.com>

	* maven-repo.bat: Revert "remove old unused file" This reverts commit 2a31884cfa5013d177286761d2ea31bcd17cc16d.

2012-05-16  jidesoft <support@jidesoft.com>

	* src/com/jidesoft/utils/ColorUtils.java: a test

2012-05-16  jidesoft <support@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-05-16  frankxu <frank@jidesoft.com>

	* : Merge remote-tracking branch 'origin/master'

2012-05-16  yangxiaoze <yangxiaoze@gmail.com>

	* test/com/jidesoft/swing/TestResizableWindow.java: TEST AGAIN AND
	AGAIN AND AGAIN

2012-05-16  jidesoft <anderson@jidesoft.com>

	* test/com/jidesoft/swing/CornerScrollerVisualTest.java,
	test/com/jidesoft/swing/TestResizableWindow.java: TEST AGAIN AND
	AGAIN

2012-05-16  jidesoft <anderson@jidesoft.com>

	* test/com/jidesoft/swing/CornerScrollerVisualTest.java,
	test/com/jidesoft/swing/TestResizableWindow.java: test

2012-05-16  jidesoft <anderson@jidesoft.com>

	* test/com/jidesoft/swing/CornerScrollerVisualTest.java,
	test/com/jidesoft/swing/TestResizableWindow.java: test push

2012-05-16  jidesoft <support@jidesoft.com>

	* test/com/jidesoft/swing/CornerScrollerVisualTest.java: test git

2012-05-16  jidesoft <support@jidesoft.com>

	* test/com/jidesoft/swing/TestResizableWindow.java: test git

2012-05-16  jidesoft <anderson@jidesoft.com>

	* pom.xml: update distributionMangeer

2012-05-16  jidesoft <anderson@jidesoft.com>

	* pom.xml, settings.xml.putAtHome: update pom info

2012-05-15  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideBoxLayout.java: 
	Common,B,JideBoxLayout,Fixed so that the default 32767 maximum size
	won't restrain the preferred size,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2144
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-14  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java,
	src/com/jidesoft/swing/CheckBoxListCellRenderer.java,
	src/com/jidesoft/swing/CheckBoxListSelectionModel.java: 
	Common,B,CheckBoxList,Fixed so that the default all entry is not a
	String any more to avoid any potential conflict with custom
	data,64779,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2138
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-14  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJidePopupMenuUI.java,
	src/com/jidesoft/plaf/aqua/AquaRangeSliderUI.java: Backward
	Compatibility:Grids,B,AquaJideTableHeaderUI,"Fixed so that the it
	doesn't use deprecated UI classes from apple.laf package which means
	the new release will not work with Mac JDK5 anymore",,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2137
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-14  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Added an NPE check in
	BasicJideTabbedPaneUI,64809,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2136
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-09  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/plaf/basic/BasicJideButtonUI.java: add string for
	synth l&f git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2135
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-08  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* JIDE Common Layer.iml: jcl project git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2134
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-08  sawhite <sawhite@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* JIDE Common Layer.iml, src/com/jidesoft/{swing =>
	awt/geom}/Insets2D.java: Moved Insets2D to com.jidesoft.awt.geom
	package git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2133
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/BigDecimalConverter.java,
	src/com/jidesoft/utils/BigDecimalMathUtils.java: 
	Common,B,BigDecimalConverter,Fixed the issue that
	BigDecimalConverter might converts double value to an unpredictable
	BigDecimal,64617,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2132
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-07  sawhite <sawhite@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Insets2D.java: Added Insets2D class git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2131
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-04  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/NavigationComponentHelper.java: 
	Common,B,NavigationComponentHelper,Added an NPE protection in
	NavigationComponentHelper,,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2130
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2128
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-01  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/aqua/AquaPainter.java: 
	Common,B,AquaPainter,Fixed so that the buttons in OutlookTabbedPane
	and FloorTabbedPane look better on Mac,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2127
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-05-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TextComponentSearchable.java: 
	Common,B,TextComponentSearchable,Fixed the AIOOBE issue while
	TextComponentSearchable find previous however there is no matching
	any more,,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2126
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/CachedArrayList.java: 
	Common,E,CachedArrayList,Improved the performance of
	CachedArrayList,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2125
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2007/Office2007Painter.java: 
	Common,B,Office2007Painter,Fixed the StackOverflowError which is a
	regression since 3.3.7,64493,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2124
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2123
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-25  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/vsnet/VsnetMetalUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java: 
	Common,B,VsnetWindowsUtils,Fixed the issue that JSpinner looks
	shorter after installing JIDE look and feel extension,,yes TestFrame2 with ATestForm git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2121
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,EnumConverter,Added a new constructor in EnumConverter to
	convert Enum type class easier,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2120
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2119
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Grids,B,TableUtils,Fixed so that TableUtils#autoResizeAllColumns()
	will respect StyledLabel#getRows() when StyledLabel#isLineWrap()
	returns true,64322,no Common,B,BasicStyledLabelUI,Fixed the issue
	that StyledLabel#getPreferredSize() might be much wider than
	necessary when getRows() is a positive value and line breaks exist
	in its text,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2118
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/EnumConverter.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2117
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/EnumConverter.java,
	src/com/jidesoft/utils/ReflectionUtils.java: 
	Common,B,EnumConverter,Added a new constructor in EnumConverter to
	convert Enum type class easier,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2116
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-20  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/VisibilityFocusTraversalPolicy.java: 
	Component,B,CollapsiblePane,Fixed the issue that the focus might be
	switched to an invisible component inside a CollapsiblePane if there
	are multiple CollapsiblePane's inside the same JFrame,64304,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2115
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/eclipse/EclipseMetalUtils.java: 
	Common,B,EclipseMetalUtils,Fixed an NPE issue in Ubuntu,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2113
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml,
	properties/com/jidesoft/dialog/buttons_en.properties: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2111
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-18  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSplitPaneDivider.java: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2110
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* properties/com/jidesoft/dialog/buttons_de.properties,
	properties/com/jidesoft/dialog/buttons_es.properties,
	properties/com/jidesoft/dialog/buttons_fr.properties,
	properties/com/jidesoft/dialog/buttons_it.properties,
	properties/com/jidesoft/dialog/buttons_ja.properties,
	properties/com/jidesoft/dialog/buttons_ko.properties,
	properties/com/jidesoft/dialog/buttons_sv.properties,
	properties/com/jidesoft/dialog/buttons_zh_CN.properties,
	properties/com/jidesoft/dialog/buttons_zh_TW.properties,
	src/com/jidesoft/dialog/JideOptionPane.java,
	src/com/jidesoft/swing/JideSwingUtilities.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2109
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* properties/com/jidesoft/dialog/buttons_zh_CN.properties,
	src/com/jidesoft/dialog/MultiplePageDialog.java,
	src/com/jidesoft/dialog/MultiplePageDialogPane.java,
	src/com/jidesoft/dialog/StandardDialog.java,
	src/com/jidesoft/dialog/buttons.properties,
	src/com/jidesoft/plaf/basic/BasicJideOptionPaneUI.java,
	src/com/jidesoft/swing/JideSwingUtilities.java: 
	Grids,B,ButtonPopupPanel,Fixed so that ButtonPopupPanel will get the
	ok/cancel text from UIDefaults respecting the component's
	locale,64210,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2108
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSplitButton.java: Added javadoc for
	JideSplitButton while using it as a menu item, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2107
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java: 
	Grids,B,ExComboBoxPopup,Fixed so that
	ComboBoxShrinkSearchableSupport could work well with
	ExComboBox#setKeepPopupSize(true),64125,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2106
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-04-04  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/metal/MetalPainter.java: 
	Common,B,MetalPainter,Fixed the ambigious instance check issue at
	MetalPainter#drawGradient(),63998,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2105
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSplitPaneDivider.java: 
	Common,B,JideSplitPaneDivider,Added
	JideSplitPaneDivider#getCurrentState(),,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2104
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaRangeSliderUI.java,
	src/com/jidesoft/plaf/basic/BasicRangeSliderUI.java,
	src/com/jidesoft/plaf/metal/MetalRangeSliderUI.java,
	src/com/jidesoft/plaf/windows/WindowsRangeSliderUI.java,
	src/com/jidesoft/swing/RangeSlider.java: Common,B,RangeSlider,Fixed
	so that the change event fired on pressing arrow key on RangeSlider
	has RangeSlider#getValueIsAdjust() set to true,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2103
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-28  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2100
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-28  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabelBuilder.java: 
	Common,B,StyledLabelBuilder,Remove a console output in
	StyledLabelBuilder,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2099
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2097
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: For some
	reason, it impacts the DockingFrameworkDemoTest#testDragAndDrop()
	about the height of floating container, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2096
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-26  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: for
	eclipse3x painting, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2095
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-26  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2094
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-25  sawhite <sawhite@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/AbstractNumericRange.java,
	src/com/jidesoft/range/AbstractRange.java,
	src/com/jidesoft/range/Category.java,
	src/com/jidesoft/range/CategoryRange.java,
	src/com/jidesoft/range/CombinedNumericRange.java,
	src/com/jidesoft/range/IntegerRange.java,
	src/com/jidesoft/range/NumericRange.java,
	src/com/jidesoft/range/Positionable.java,
	src/com/jidesoft/range/Range.java,
	src/com/jidesoft/range/TimeRange.java: Common,E,CategoryRange,Can
	now specify for the categories to be sorted git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2093
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-24  sawhite <sawhite@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/CategoryRange.java: Improved exception
	error message for out of range parameter in getCategory git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2092
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: RTL
	scrolling issue, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2091
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that trailing components of
	JideTabbedPane could work well in RTL model,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2090
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideTabbedPane.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2089
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed so that closing a document could makes
	the active document scroll to visible in DocumentPane,63312,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2088
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-22  sawhite <sawhite@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/AggregatedRange.java: Added a getCount()
	method git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2087
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: Add wrapped
	StyledTableCellRenderer in StyledLabelDemo, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2086
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-20  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/comparator/ObjectComparatorManager.java,
	src/com/jidesoft/converter/CacheMap.java,
	src/com/jidesoft/converter/ObjectConverterManager.java,
	src/com/jidesoft/converter/RegistrationEvent.java,
	src/com/jidesoft/converter/RegistrationListener.java,
	src/com/jidesoft/grouper/ObjectGrouperManager.java,
	src/com/jidesoft/utils/CacheMap.java,
	src/com/jidesoft/utils/RegistrationEvent.java,
	src/com/jidesoft/utils/RegistrationListener.java: 
	Common,E,CacheMap,"Moved CacheMap, RegistrationEvent and
	RegistrationListener to com.jidesoft.utils package",,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2085
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-20  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/CacheMap.java: remove usage of
	EventListenerList git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2084
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-19  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2007/Office2007Painter.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2083
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-19  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/CachedLookAndFeel.java,
	src/com/jidesoft/plaf/LookAndFeelFactory.java: typo git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2082
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/utils/SortedList.java: use UIDefaultsLookup by
	default, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2081
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabelBuilder.java: 
	Common,B,StyledLabelBuilder,Fixed the issue that StyledLabelBuilder
	may fall into an infinite loop while parsing text like
	"{xx}:xx",63619,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2080
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed a potential Divide by Zero issue
	in StyledLabel,63592,no Common,B,BasicStyledLabelUI,Fixed so that
	the basic styled label has a best fit preferred size,63607,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2079
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the StyledLabel painting issue
	while only line breaks present in the StyledLabel however
	StyledLabel#isLineWrap() returns false,63582,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2078
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-15  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TextComponentSearchable.java: 
	Common,B,TextComponentSearchable,Fixed so that the default action
	for ESCAPE will be executed if there is no highlights created by
	TextComponentSearchable,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2077
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed so that StyledLabel#getRows()
	could be respected when the text contains line breaks,63373,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2076
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideButtonUI.java: 
	Common,B,BasicJideButtonUI,Fixed the ClassCastException when
	JideButton working with SwingBuilder,63391,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2075
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeCellRenderer.java: 
	Common,B,CheckBoxTreeCellRenderer,Fixed the painting issue in
	CheckBoxTree if the CheckBox.icon has a large icon,,no CheckBoxListJideExample git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2074
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/icons/CheckBoxIcon.java: 
	Example,E,CheckBoxTableDemo,Added a CheckBoxTableDemo utilizing
	HeaderStyleModel and CheckBoxIcon,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2073
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the StyledLabel painting issue
	when setMaxRows() is invoked and the physical lines are more
	that,63330,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2072
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideComboBoxButton.java: 
	Common,B,BasicJideComboBoxButton,Fixed the ClassCastException while
	adding BasicJideComboBoxButton to WindowBuilder Pro,63299,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2071
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/IntegerRange.java,
	src/com/jidesoft/range/NumericRange.java,
	src/com/jidesoft/range/TimeRange.java: 
	Common,B,IntegerRange,Override hashcode() of
	IntegerRange/NumericRange/TimeRange to match the equals()
	method,63272,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2070
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-03-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* : git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/branches/trunk_3.3.6@2069
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-29  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/ObjectConverterManager.java: 
	Common,B,ObjectConverterManager,Added default registration for array
	type,62998,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2067
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-28  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/VisibilityFocusTraversalPolicy.java: 
	Created a generic VisibilityFocusTraversalPolicy, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2066
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java: 
	Grids,B,ListExComboBoxSearchable,Fixed the issue that ListExComboBox
	does not update the size of its popup panel when ShrinkSearchSupport
	is installed,,no Common,B,JidePopup,Fixed the issue that unnecessary
	popup menu events may be fired when ShrinkSearchableSupport is
	installed over the combo box,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2065
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-24  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideMenu.java: Common,B,JideMenu,Fixed the
	selected menu item doesn't have a background color on Mac OS X,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2064
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/comparator/ObjectComparatorManager.java: 
	Common,E,ObjectComparatorManager,Register a secondary collator to
	ObjectComparatorManager,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2063
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-22  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/LabeledTextField.java: 
	Common,E,LabeledTextField,Added setShowHintTextWhenFocused flag to
	LabeledTextField so that the hint text can still be shown when the
	text field has focus,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2062
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-22  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: 
	Common,B,ComboBoxSearchable,Fixed the combobox popup is showing in
	AutoCompletion when typing,63059,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2061
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Flashable.java: Common,B,Flashable,Fixed a
	potential Flashable repaint issue,63070,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2060
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Fixed
	the issue that JidePopup#getPopupLocation() may return incorrect
	location which makes the popup displays only a part in the
	screen,63000,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2059
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxListCellRenderer.java: 
	Common,B,CheckBoxListCellRenderer,Fixed so that CheckBoxList will
	respect the preferred size of CheckBoxIcon,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2058
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2056
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxListSelectionModel.java: 
	Grids,B,QuickFilterPane,Fixed the regression in 3.3.4 that
	QuickFilterPane's CheckBoxList does not work correctly,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2055
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/AutoCompletion.java: 
	Common,B,AutoCompletion,Fixed so that AutoCompletion could work well
	with ShrinkSearchableSupport while isStrict() is true,62834,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2054
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2053
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledToolTip.java: 
	Common,B,StyledToolTip,Fixed the NPE issue if
	StyledToolTip.setText(null) is invoked,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2052
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-02-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the preferred size calculation
	issue if StyledLabel has an explicit line break in its text,62684,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2051
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java,
	src/com/jidesoft/swing/CheckBoxListCellRenderer.java: 
	Common,B,CheckBoxList,Fixed so that CheckBoxList#updateUI() would
	keep the customized cell renderer no change,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2050
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-26  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java,
	src/com/jidesoft/swing/ComboBoxSearchable.java: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2049
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: fixed the
	searchable flickering issue git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2048
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: Common,B,Fixed the
	popup flickering issue when doing the quick search,62523,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2047
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2046
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/ThreadCheckingRepaintManager.java: javadoc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2045
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-26  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2043
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/UndoableModel.java,
	src/com/jidesoft/swing/UndoableSupport.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2042
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,B,LookAndFeelFactory,Fixed a regression in 3.2.0 that Alloy
	has a wrong painter registered in UIDefaults,62480,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2041
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/UndoableModel.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2040
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-22  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/UndoableSupport.java: refactor git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2039
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed so that the last several rows
	larger than StyledLabel#getMaxRows() will not count into the
	preferred size,62459,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2038
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed so that the "..." could be painted
	if line breaks exist in the StyledLabel and maxRows are
	configured,62384,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2037
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/DateConverter.java: 
	Common,B,DateConverter,Added more default options to convert a
	string back to a Calendar instance,62357,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2036
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-13  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: 
	Common,B,CheckBoxTreeSelectionModel,Fixed the issue that
	CheckBoxTreeSelectionModel keeps the selections in the old model
	incorrectly when CheckBoxTreeSelectionModel#setMode() is
	invoked,62372,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2035
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-12  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/FontNameConverter.java: 
	Common,E,FontNameConverter,Added isEnsureFontExistence to
	FontNameConverter,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2034
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledToolTip.java: 
	Common,E,StyledToolTip,Added a new component StyledToolTip,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2033
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2032
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java:  misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2030
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/IconBorder.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2029
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxListSelectionModel.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2028
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxListSelectionModel.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2027
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxListSelectionModel.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2026
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java,
	src/com/jidesoft/swing/CheckBoxListSelectionModel.java: 
	Common,E,CheckBoxList,Added
	CheckBoxListSelectionModel#setCheckAllEntry() to control the default
	behavior of CheckBoxList for "all" entry,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2025
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-11  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/IconBorder.java: Common,E,IconBorder,Added
	IconBorder class which can paint an icon as part of the border which
	is perfect to be used in the table cell through the CellStyle
	feature,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2024
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-11  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed JideTabbedPane's close button is not
	readable on some L&Fs,62274,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2023
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2022
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@2020
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-10  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/comparator/ObjectComparatorManager.java,
	src/com/jidesoft/converter/ObjectConverterManager.java,
	src/com/jidesoft/grouper/ObjectGrouperManager.java: add checking for
	initing git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2019
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2018
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabelBuilder.java: 
	Common,B,StyledLabelBuilder,Fixed so that "\" preceding "{" will
	always be considered a escape character,62223,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2017
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-10  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java: fixed selectAll doesn't
	repaint git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2016
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabelBuilder.java: 
	Common,B,StyledLabelBuilder,Fixed a typo in
	StyledLabelBuilder,62220,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2015
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-09  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,E,JideTabbedPane,Added
	JideTabbedPane#setShowCloseButtonOnMouseOver() so that the close
	button on tab would only be visible when the mouse is over the
	tab,61075,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2014
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-04  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the styled label painting issue in
	cell renderer,61978,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2011
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-03  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Grids,B,BasicStyledLabelUI,Fixed so that the StyledLabel could
	layout correctly when right alignment and the horizontal text
	position is left,61835,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2010
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-03  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/icons/RolloverIcon.java: 
	Common,B,RolloverIcon,Replace the usage of Path2D with GeneralPath
	so that it is compatible with JDK5,62107,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2009
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-02  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java: fixed so that
	getCheckBoxListSelectedValue doesn't return (All) git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2008
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-02  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* properties/com/jidesoft/swing/swing_ar_SA.properties,
	properties/com/jidesoft/swing/swing_az_AZ.properties,
	properties/com/jidesoft/swing/swing_bg_BG.properties,
	properties/com/jidesoft/swing/swing_bn_IN.properties,
	properties/com/jidesoft/swing/swing_ca_ES.properties,
	properties/com/jidesoft/swing/swing_cs_CZ.properties,
	properties/com/jidesoft/swing/swing_da_DK.properties,
	properties/com/jidesoft/swing/swing_de.properties,
	properties/com/jidesoft/swing/swing_el_GR.properties,
	properties/com/jidesoft/swing/swing_en.properties,
	properties/com/jidesoft/swing/swing_en_CA.properties,
	properties/com/jidesoft/swing/swing_en_UK.properties,
	properties/com/jidesoft/swing/swing_es.properties,
	properties/com/jidesoft/swing/swing_es_MX.properties,
	properties/com/jidesoft/swing/swing_eu_ES.properties,
	properties/com/jidesoft/swing/swing_fi_FI.properties,
	properties/com/jidesoft/swing/swing_fr.properties,
	properties/com/jidesoft/swing/swing_gl_ES.properties,
	properties/com/jidesoft/swing/swing_ha_NG.properties,
	properties/com/jidesoft/swing/swing_hi_IN.properties,
	properties/com/jidesoft/swing/swing_hr_HR.properties,
	properties/com/jidesoft/swing/swing_hu_HU.properties,
	properties/com/jidesoft/swing/swing_it.properties,
	properties/com/jidesoft/swing/swing_iw_IL.properties,
	properties/com/jidesoft/swing/swing_ja.properties,
	properties/com/jidesoft/swing/swing_kk_KZ.properties,
	properties/com/jidesoft/swing/swing_ko.properties,
	properties/com/jidesoft/swing/swing_nl.properties,
	properties/com/jidesoft/swing/swing_no_NO.properties,
	properties/com/jidesoft/swing/swing_pa_IN.properties,
	properties/com/jidesoft/swing/swing_pl_PL.properties,
	properties/com/jidesoft/swing/swing_pt_BR.properties,
	properties/com/jidesoft/swing/swing_pt_PT.properties,
	properties/com/jidesoft/swing/swing_ro_RO.properties,
	properties/com/jidesoft/swing/swing_ru_RU.properties,
	properties/com/jidesoft/swing/swing_sk_SK.properties,
	properties/com/jidesoft/swing/swing_sl_SI.properties,
	properties/com/jidesoft/swing/swing_sr_CS.properties,
	properties/com/jidesoft/swing/swing_sv.properties,
	properties/com/jidesoft/swing/swing_ta_IN.properties,
	properties/com/jidesoft/swing/swing_te_IN.properties,
	properties/com/jidesoft/swing/swing_th_TH.properties,
	properties/com/jidesoft/swing/swing_tk_TM.properties,
	properties/com/jidesoft/swing/swing_tr_TR.properties,
	properties/com/jidesoft/swing/swing_uk_UA.properties,
	properties/com/jidesoft/swing/swing_ur_IN.properties,
	properties/com/jidesoft/swing/swing_zh_CN.properties,
	properties/com/jidesoft/swing/swing_zh_TW.properties,
	src/com/jidesoft/swing/CheckBoxList.java,
	src/com/jidesoft/swing/DelegateAction.java,
	src/com/jidesoft/swing/{DragableHandle.java =>
	DraggableHandle.java}, src/com/jidesoft/swing/Gripper.java,
	src/com/jidesoft/swing/JideTabbedPane.java,
	src/com/jidesoft/swing/Sticky.java,
	src/com/jidesoft/swing/swing.properties: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2007
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-02  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java,
	src/com/jidesoft/swing/CheckBoxListCellRenderer.java: 
	Common,E,CheckBoxList,Added an option to allow an (All) item in the
	CheckBoxList,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2006
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2012-01-02  walterln <walterln@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ResizableMouseInputAdapter.java,
	test/com/jidesoft/swing/TestResizableWindow.java: Don't allow
	Resizable to be resized outside the screen bounds git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2005
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-31  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Resizable.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2004
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-31  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/icons/ColorFilter.java,
	src/com/jidesoft/icons/IconSetManager.java,
	src/com/jidesoft/icons/MaskFilter.java,
	src/com/jidesoft/icons/NetworkIconSet.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2003
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-30  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/comparator/ObjectComparatorManager.java,
	src/com/jidesoft/converter/ObjectConverterManager.java,
	src/com/jidesoft/grouper/ObjectGrouperManager.java: fixed the usage
	of inited and initing flag to make it more efficient,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2002
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-20  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* JIDE Common Layer.ipr: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2001
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-20  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ComboBoxSearchable.java,
	src/com/jidesoft/swing/Searchable.java: 
	Searchable,E,Searchable,Added ShrinkSearchable support to editable
	JComboBox and ExComboBox,,no Andy Oliver
	[mailto:Andy.Oliver@castandcrew.com] git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@2000
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-19  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/NavigationComponentHelper.java: 
	Component,B,NavigationComponent,Fixed the mouse repaint artifact in
	a non-opaque NavigationList that is not in a JScrollPane,61911,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1999
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-17  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/SearchableBar.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1998
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-16  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java: javadoc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1997
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideScrollPane.java,
	src/com/jidesoft/swing/JideScrollPaneLayout.java: 
	Common,E,JideScrollPane,Added flat layout option for
	JideScrollPane,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1996
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-15  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1994
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-14  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1993
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-14  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1992
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-14  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* : git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1991
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-14  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* : git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1989
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideToggleSplitButton.java: 
	Common,B,JideToggleSplitButton,Fixed so that JideToggleSplitButton
	could update the selected key property from its action,61697,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1988
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: 
	Common,B,CheckBoxTreeSelectionModel,Fixed so that
	CheckBoxTreeSelectionModel#isPathSelected(TreePath) will honor the
	isDigIn() flag,61642,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1987
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1985
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: JDK5
	compatibility, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1984
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-06  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/NavigationComponentHelper.java: 
	Component,E,NavigationComponent,Added setRolloverRow method to all
	navigation components,61570,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1983
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the preferred size calculation
	issue for StyledLabel,61498,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1982
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2003/Office2003WindowsUtils.java: 
	git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1981
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/eclipse/EclipseMetalUtils.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/office2003/Office2003WindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetMetalUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1980
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/xerto/XertoMetalUtils.java: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1979
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/xerto/XertoMetalUtils.java,
	src/com/jidesoft/plaf/xerto/XertoWindowsUtils.java: 
	Common,B,XertoWindowsUtils,Fixed so that the close button on the tab
	of JideTabbedPane has one pixel gap with the tab border,61282,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1978
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that the tab area
	width/height will respect the preferred width/height of the tab
	component if there is one,61470,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1977
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TreeSearchable.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1976
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-12-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TreeSearchable.java: 
	Common,B,TreeSearchable,Fixed so that
	TreeSearchable#convertElemenToString() would invoke
	JTree#convertValueToText() to search correctly,61438,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1975
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-29  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed a potential AIOOBE issue in
	StyledLabel,61361,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1974
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Flashable.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1973
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Flashable.java: Common,B,Flashable,Fixed
	the memory leak issue in Flashable,61224,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1972
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/NavigationComponentHelper.java: 
	Component,E,Navigation,Enhanced the navigation components to support
	multiple selections by explicitly setting the selection mode in the
	corresponding selection model,61196,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1971
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/LabeledTextField.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1970
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1968
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1967
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/eclipse/EclipseMetalUtils.java: 
	Common,B,EclipseMetalUtils,Fixed the NPE issue while installing JIDE
	extension in Ubuntu,61099,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1966
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: StyledLabel
	icon vertical alignment, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1965
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed so that StyledLabel could layout
	icon correctly when isLineWrap() is true,60675,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1964
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-18  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/NavigationComponent.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1963
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-18  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSplitPaneDivider.java: 
	Common,B,JideSplitPaneDivider,Fixed the regression that the
	expand/collapse button in JideSplitPane may be painted
	incorrectly,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1962
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: Fixed a
	regression that has not released yet, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1961
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-16  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2007/Office2007WindowsUtils.java: 
	Common,B,Office2007,Fixed the menu item check box appears when the
	menu item is not selected when installJideExtension is not called
	explicitly,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1960
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-10  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateCheckBoxIcon.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1957
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that the name of the close
	buttom in JideTabbedPane could be configured to other names than
	"JideTabbedPane.close",60784,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1956
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/eclipse/Eclipse3xJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/eclipse/EclipseJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed so that JideTabbedPane could
	distinguish "JideTabbedPane.activeTabTextForeground" and
	"JideTabbedPane.selectedTabTextForeground",60784,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1955
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-09  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/MultilineStringConverter.java: 
	Grids,B,MultilineStringConverter,Fixed so that "\n" could be
	distinguished with "\\n" in MultilineStringConverter,60769,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1954
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-09  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,B,LookAndFeelFactory,Deprecated the
	EXTENSION_STYLE_2003_WITHOU_MENU and
	EXTENSION_STYLE_2007_WITHOU_MENU,60753,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1953
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-08  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/icons/RolloverIcon.java: doc, a few bugs in
	navigation git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1952
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the issue that the text could not
	be correctly truncated when StyledLabel is right aligned and line
	wrap is true,60685,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1951
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-07  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* JIDE Common Layer.iml, src/com/jidesoft/icons/RolloverIcon.java,
	src/com/jidesoft/swing/NavigationComponent.java,
	src/com/jidesoft/swing/NavigationComponentHelper.java: refactor for
	expanded tip, navigation components and breadcrumbbar git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1950
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-06  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/LabeledTextField.java: 
	Common,B,LabeledTextField,Fixed the issue that invoking
	LabeledTextField#updateUI() may cause the hint label visible
	unexpectedly,60703,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1949
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-06  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/icons/IconsFactory.java,
	src/com/jidesoft/swing/JideSwingUtilities.java: navigation and
	expanded tip git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1948
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-03  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaRangeSliderUI.java,
	src/com/jidesoft/plaf/basic/BasicRangeSliderUI.java,
	src/com/jidesoft/plaf/metal/MetalRangeSliderUI.java,
	src/com/jidesoft/plaf/windows/WindowsRangeSliderUI.java: 
	Common,B,RangeSlider,Fixed the thumb in RangeSlider cannot be
	dragged when both thumbs are on the left most sides,,no Harran
	Williams [hwilliams@prodigiorts.com] git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1947
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-03  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,B,LookAndFeelFactory,Fixed the issue that the look and feel
	extension style is not changed accordingly if
	UIManager.setLookAndFeel() is invoked later,60597,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1944
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/CachedArrayList.java: 
	Common,B,CachedArrayList,"Fixed the issue at
	CachedArrayList#set(int, E)",,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1943
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-11-01  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2007/Office2007Painter.java,
	src/com/jidesoft/plaf/office2007/Office2007WindowsUtils.java: change
	popup menu border color git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1942
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-28  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/vsnet/VsnetMenuItemUI.java: avoid possible
	exception when getting icon width/height (happened when using
	substance 4.x release) git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1941
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,E,BasicJideTabbedPaneUI,Added support to
	JideTabbedPane#setTabComponentAt(),60354,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1940
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-26  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabelBuilder.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1939
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabelBuilder.java: 
	Grids,B,StyledLabelBuilder,Fixed the AIOOBE issue while the column
	name of a table model contains '{' or '\',60325,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1938
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1936
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Editor,B,CodeEditor,Fixed the painting issue of
	FindResultTreeCellRenderer,59760,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1935
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java,
	src/com/jidesoft/swing/SearchableUtils.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1934
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-20  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/SearchableUtils.java: 
	Grids,B,SearchableUtils,Fixed the issue so that
	SearchableUtils#unsintallSearchable() will hide the Searchable popup
	if it's currently visible,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1933
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-18  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/ThreadCheckingRepaintManager.java: 
	Common,B,ThreadCheckingRepaintManager,Updated to the latest
	ThreadCheckingRepaintManager,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1932
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/LabeledTextField.java: 
	Common,B,LabeledTextField,Fixed so that LabeledTextField could be
	painted consistent with most L&Fs when disabled,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1931
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-10-03  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: 
	Common,B,CheckBoxTreeSelectionModel,Fixed so that
	CheckBoxTreeSelectionModel#setSingleEventMode(true) works as
	expected,59696,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1930
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaRangeSliderUI.java,
	src/com/jidesoft/plaf/basic/BasicRangeSliderUI.java,
	src/com/jidesoft/plaf/metal/MetalRangeSliderUI.java,
	src/com/jidesoft/plaf/windows/WindowsRangeSliderUI.java: 
	Common,B,WindowsRangeSliderUI,Fixed so that pressing
	PGUP/PGDN/UP/DOWN over RangerSlider won't change the value out of
	the bounds defined by RangeSlider#getMinimum() and
	RangeSlider#getMaximum(),,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1929
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideBoxLayout.java: 
	Common,B,JideBoxLayout,Fixed the issue that WizardDialog#setSize()
	could not change the size of the dialog which is a regression in
	3.2.1,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1928
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1926
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-29  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/swing/StyledLabelBuilder.java: Support both row and
	preferred width setting, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1925
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-29  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/xerto/XertoWindowsUtils.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1924
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-29  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1923
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-28  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateCheckBox.java: refixed using action
	listener git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1922
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-28  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateCheckBox.java: refixed the mix icon
	not painted issue by using a change listener git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1921
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-28  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateCheckBox.java: 
	Common,B,TristateCheckBox,Fixed the issue that clicking
	TristateCheckBox to set mix state could not update UI
	correctly,59543,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1920
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed so that the line breaks in
	StyledLabel won't be respected if isLineWrap() returns
	false,59505,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1919
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/SearchableBar.java,
	src/com/jidesoft/swing/TextComponentSearchable.java: 
	Common,B,SearchableBar,Fixed so that pressing "find next" or "find
	previous" button would be able to scroll to let the match visible if
	there is only one match,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1918
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,E,SearchableBar,Made several fields protected,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1917
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,E,LookAndFeelFactory,Added
	EXTENSION_STYLE_OFFICE2003_WITHOUT_MENU,
	EXTENSION_STYLE_OFFICE2007_WITHOUT_MENU,
	EXTENSION_STYLE_ECLIPSE_WITHOUT_MENU,
	EXTENSION_STYLE_ECLIPSE3X_WITHOUT_MENU for better customer
	experience when there is no Action product in use,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1916
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-25  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/eclipse/EclipseMenuItemUI.java,
	src/com/jidesoft/plaf/metal/MetalMenuItemUI.java,
	src/com/jidesoft/plaf/vsnet/VsnetMenuItemUI.java: 
	Common,B,VsnetMenuItemUI,Fixed NPE because the
	MenuItem.acceleratorFont is null when setting to Nimbus,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1915
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: 
	Common,B,CheckBoxTreeSelectionModel,Fixed so that check box tree
	selection event fires removal events first then add events,58261,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1914
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-22  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicLookAndFeelExtension.java: 
	TreeMap,B,TreeMapView,Added UI default to UIManager for
	TreeMapView,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1913
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/hints/AbstractIntelliHints.java: 
	Common,B,AbstractIntelliHints,Fixed so that
	AbstractIntelliHints#getShowHintsDelay() gets honored,59365,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1912
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaRangeSliderUI.java,
	src/com/jidesoft/plaf/basic/BasicRangeSliderUI.java,
	src/com/jidesoft/plaf/metal/MetalRangeSliderUI.java,
	src/com/jidesoft/plaf/windows/WindowsRangeSliderUI.java: 
	Common,B,WindowsRangeSliderUI,Fixed so that dragging range could
	also fire property change event for the low value and the high
	value,59352,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1911
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/eclipse/EclipseMenuItemUI.java,
	src/com/jidesoft/plaf/vsnet/VsnetMenuItemUI.java: 
	Common,B,VsnetMenuItemUI,Fixed so that
	JideSplitButton#setVerticalAlignment() could be honored,59336,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1910
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-20  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxList.java: 
	Grids,B,ListChooserPanel,Fixed the issue that ListChooserPanel of
	ListExComboBox may have incorrect fixed height set which impact the
	painting in some scenarios,59306,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1909
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/hints/AbstractIntelliHints.java: 
	Common,B,AbstractIntelliHints,Added multiple key strokes support to
	show hint popup in AbstractIntelliHints,59258,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1908
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-16  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2007/Office2007Painter.java,
	src/com/jidesoft/plaf/office2007/Office2007WindowsUtils.java: update
	floor/outlooktabbedpane demo, fixed painting glitch on jidebutton git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1907
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-16  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	installJideExtension() remembers the last style git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1906
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-15  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/SystemInfo.java: rename git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1905
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-14  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the issue that the font right
	after a line break was not respected when StyledLabel#isLineWrap()
	returns true,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1904
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-14  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java,
	src/com/jidesoft/swing/LabeledTextField.java,
	src/com/jidesoft/swing/MultilineLabel.java,
	src/com/jidesoft/swing/Searchable.java: add slider to property pane
	demo git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1903
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-14  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/ExtWindowsDesktopProperty.java,
	src/com/jidesoft/plaf/WindowsDesktopProperty.java,
	src/com/jidesoft/swing/JideBorderLayout.java,
	src/com/jidesoft/swing/JideTitledBorder.java,
	src/com/jidesoft/swing/ShadowFactory.java,
	src/com/jidesoft/utils/AccumulativeRunnable.java,
	src/com/jidesoft/utils/SwingPropertyChangeSupport.java,
	src/com/jidesoft/utils/SwingWorker.java: add substance, update
	copyright from sun to oracle git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1902
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-13  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxListCellRenderer.java: 
	Common,B,CheckBoxListCellRenderer,Fixed so that the disabled entry
	in CheckBoxList could paint its text as disabled,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1901
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-13  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the NPE issue while
	JideTabbedPane#getTabResizeMode() returns
	RESIZE_MODE_COMPRESSED,59101,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1900
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1898
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the issue that sometimes
	StyledLabel paints the text with "..." when there is enough space if
	alignment is CENTER,,no Common,B,BasicStyledLabelUI,Fixed the issue
	that sometimes StyledLabel's preferred width did not get calculated
	correctly,,no Grids,B,BasicCellStyleTableHeaderUIDelegate,Fixed so
	that setting table header's font will repaint the header
	immediately,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1897
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-08  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabelBuilder.java: styled label misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1896
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: 
	Grids,B,ListExComboBoxSearchable,Fixed so that
	ListExComboBoxSearchable and TreeExComboBoxSearchable work well,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1895
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-07  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/dialog/ButtonPanel.java: demo cleanup git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1894
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-06  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/dialog/StandardDialogPane.java: 
	Common,B,StandardDialogPane,Fixed so that invoking
	StandardDialog#setDefaultCancelAction(null) will be able to disable
	the ESCAPE short key to dismiss the dialog,58920,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1893
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-09-03  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideOptionPaneUI.java: 
	Common,B,JideOptionPane,Fixed the details button text is wrong if
	the details area is visible by default,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1892
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/dialog/AbstractPage.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1891
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/dialog/AbstractPage.java: 
	Common,E,AbstractPage,Added AbstractPage#reset() method so that the
	customer could re-layout the page in fly,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1890
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,E,JideTabbedPane,Added JideTabbedPane#createTabList() so that
	the tab list could be customized easier,58774,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1889
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-29  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java: common,B,JidePopup,Fixed so
	that default button of JidePopup could work as expected,58757,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1888
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/icons/ColorFilter.java,
	src/com/jidesoft/icons/IconsFactory.java,
	src/com/jidesoft/icons/TintFilter.java: Common,E,TintFilter,Added
	TintFilter to tint a given image with a color,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1887
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1886
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1885
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the issue that StyledLabel didn't
	respect the border properly when the horizontal alignment is not
	LEFT,58635,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1884
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1882
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1881
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/eclipse/EclipseMetalUtils.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/office2007/Office2007WindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetMetalUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java,
	src/com/jidesoft/plaf/xerto/XertoMetalUtils.java,
	src/com/jidesoft/plaf/xerto/XertoWindowsUtils.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1880
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/eclipse/EclipseMetalUtils.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/office2007/Office2007WindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetMetalUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java,
	src/com/jidesoft/plaf/xerto/XertoMetalUtils.java,
	src/com/jidesoft/plaf/xerto/XertoWindowsUtils.java: Common,B,,Fixed
	iconTextGap inconsistent between JideButton and JideSplitButton,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1879
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed so that the waved style string are
	painted in the same base line with other style strings in
	StyledLabel,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1878
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: Fixed the
	styled label width calculation issue, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1877
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideScrollPaneLayout.java: 
	Common,B,JideScrollPaneLayout,Fixed so that new child components of
	JideScrollpane could always be layout correctly when the sub upper
	left/right components are the wides in the column,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1876
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideBoxLayout.java: 
	Common,B,JideBoxLayout,Fixed the issue that Wizard may layout the
	MultilineLabel incorrectly in some scenarios,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1875
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideButtonUI.java: revert, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1874
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideButtonUI.java: 
	Common,B,BasicJideButtonUI,Fixed the issue that
	JideButton#setMargin() may not take effect in Synth L&F,58551,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1873
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-19  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabel.java: remove a print git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1872
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-18  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/swing/StyledLabel.java: Common,B,StyledLabel,Added
	StyledLabel#isTruncated() to check if the StyledLabel is currently
	painted truncated,58470,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1871
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/DefaultOverlayable.java: 
	Common,B,DefaultOverlayable,Fixed the NPE in DefaultOverlayable when
	dragging another component over the DefaultOverlayable in
	Netbeans/Matisse,58444,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1870
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLableUI,Fixed so that StyledLabel painting will
	respect its border insets,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1869
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1868
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-16  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2007/Office2007WindowsUtils.java,
	src/com/jidesoft/swing/CheckBoxList.java,
	src/com/jidesoft/swing/CheckBoxListCellRenderer.java,
	src/com/jidesoft/swing/CheckBoxTreeCellRenderer.java: make
	CheckBoxList working with A03,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1867
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/swing/StyleRange.java: 
	Common,E,BasicStyledLabelUI,Made StyledLable support line
	breaks,58328,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1866
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-15  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	*
	properties/com/jidesoft/plaf/basic/folderChooser_zh_CN.properties,
	properties/com/jidesoft/plaf/basic/folderChooser_zh_TW.properties: 
	properties git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1865
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-13  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1863
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideButton.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1862
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideButton.java: Common,B,JideButton,Fixed
	the issue that JideButton could not show hand cursor in JDK7 if
	button style is hyperlink,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1861
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-12  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicPainter.java,
	src/com/jidesoft/plaf/office2007/Office2007Painter.java: 
	Common,B,BasicPainter,Put sort arrow on top as long as it is on
	Windows 7/Vista and Windows LookAndFeel is used,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1860
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: painting
	issue, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1859
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: polished
	TableScrollPaneDemo, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1858
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1857
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: Support
	horizontal alignment for wrapped StyledLabel, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1856
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-11  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: javadoc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1855
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-10  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* JIDE Common Layer.iml: build related git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1854
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-10  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: L&F refactoring git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1853
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the issue that the tab editor
	is placed in a wrong position while the tab title is cleared,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1852
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicPainter.java: synth related git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1851
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-10  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: L&f related git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1850
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: Backward
	Compatibility:Grids,B,MultilineTableCellRenderer,Redesigned the
	MultilineTableCellRenderer to make it use StyledLabel,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1849
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-09  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* pom.xml, src/com/jidesoft/plaf/LookAndFeelFactory.java: remove
	plastic_lnf_1.3 and just use plastic_lnf add src-lnf module to 3rd
	party L&Fs git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1848
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-08  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideUtils.java: paint resize icon
	on mac as lion no longer paints the icon do not auto-line wrapping
	use the header font as the styled label font git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1847
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: Change since 3.1.2
	to 3.2.0, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1846
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-07  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Common,B,JideSwingUtilities,Fixed ClassCastException from HashMap to
	RenderingHints as JDK7 on Mac doesn't use RenderingHints as the
	value for "awt.font.desktophints",,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1845
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-06  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabelBuilder.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1844
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/swing/StyledLabelBuilder.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1843
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java:  Fix again, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1842
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: fix the
	styletableheader demo issue and make the row index/column index
	aligned, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1841
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: synth related git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1840
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: vertical
	alignment fix, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1839
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-04  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/swing/StyledLabel.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1838
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-04  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/swing/StyledLabel.java,
	src/com/jidesoft/swing/StyledLabelBuilder.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1837
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-04  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* : git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1836
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-04  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: remove substance git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1835
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-03  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicPainter.java,
	src/com/jidesoft/swing/StyledLabelBuilder.java: 
	Grids,B,SubstanceSortableTableHeaderUI,Fixed so that newly designed
	table header could work well in Substance L&F,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1834
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-03  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: Fixed several
	header issues, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1833
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-03  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/NumericRange.java: add union method git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1832
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-03  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/NumericRange.java: add new stretch method
	to allow adjustment separately for upper and lower git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1831
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-03  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/swing/RangeSlider.java: use getActualClassID in
	several components git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1830
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-08-03  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/basic/BasicLookAndFeelExtension.java,
	src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java,
	src/com/jidesoft/swing/StyledLabel.java,
	src/com/jidesoft/swing/StyledLabelBuilder.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1829
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-31  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/icons/IconsFactory.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1828
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-29  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: Grids,E,RolloverTableUtils,Added
	HyperlinkTableCellEditorRenderer and RolloverTableUtils to implement
	hyperlink feature in JTable,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1827
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-29  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/swing/StyledLabel.java: 
	Grids,E,BasicSortableTableHeaderUIDelegate,Made SortableTableHeader
	able to wrap text automatically,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1826
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-27  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,B,LookAndFeelFactory,Fixed Xerto style on Plastic3D L&F
	doesn't work correct,57858,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1825
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-26  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/plaf/basic/StyledText.java: remove redundant
	painting code, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1824
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-26  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java,
	src/com/jidesoft/plaf/basic/StyledText.java: 
	Grids,E,BasicSortableTableHeaderUIDelegate,Added the possibility for
	column header to show styled label by adding annotation to the
	column name,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1823
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-25  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTree.java: 
	Common,B,CheckBoxTree,Added javadoc for CheckBoxTree#Handler,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1822
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-25  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: refactor git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1821
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-25  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,B,LookAndFeelFactory,Added APIs to disable LnF class loading
	on invoking LookAndFeelFactory#isLnfInstalled(),57766,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1820
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-24  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TextComponentSearchable.java: use cmd-f on
	mac to start searching git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1819
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-24  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* JIDE Common Layer.iml: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1818
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java: Common,E,Searchable,Added
	getElementAtAsString method to Searchable,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1817
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-22  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java: Common,E,Searchable,Added
	findAll method to Searchable to find all element indices that match
	the specified string,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1815
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicPainter.java: 
	Grids,E,TableUtils,Added
	TableUtils#CLIENT_PROPERTY_AUTO_RESIZE_HIGH_PERFORMANCE to let the
	behavior of autoResizeAllColumns() could be customized easier,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1812
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1810
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-20  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/HtmlUtils.java: Common,B,HtmlUtils,Fixed
	wrong line break in HtmlUtils,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1809
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-18  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicPainter.java: 
	Common,B,BasicPainter,Fixed the NPE issue while
	TableUtils#autoResizeAllColumns() to resize all column,57523,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1808
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-13  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/xerto/XertoWindowsUtils.java: 
	Common,B,XertoWindowsUtils,Fixed the issue that TristateCheckBox
	painted incorrectly under XERTO style,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1807
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateButtonModel.java: 
	Common,B,TristateButtonModel,Fixed so that setting a disabled
	TristateCheckBox to mixed state will automatically update UI
	accordingly,57323,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1806
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideOptionPaneUI.java: 
	Common,B,BasicJideOptionPaneUI,Removed the unnecessary "..." while
	resizing the JideOptionPane smaller,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1805
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-05  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateButtonModel.java: Common,B,Made the
	TristateButtonModel constructor public,no,57127 git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1804
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-07-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1802
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java: add method to
	remove duplicate separators git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1801
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java: add method to
	remove duplicate separators git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1800
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Common,E,JideSwingUtilities,Added findFirstComponentByName and
	findFirstComponentByClass to JideSwingUtilities,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1799
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-20  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/popup/JidePopup.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1798
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-20  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/icons/IconsFactory.java,
	src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/basic/BasicLookAndFeelExtension.java,
	src/com/jidesoft/plaf/basic/BasicPainter.java,
	src/com/jidesoft/plaf/basic/ThemePainter.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java,
	src/com/jidesoft/utils/ReflectionUtils.java: Headers Checked In, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1797
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-15  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1794
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-15  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Grids,B,TableUtils,Fixed the navigation issue that in
	TreeTableScroll git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1793
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-15  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1792
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-15  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1791
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-13  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideSplitButtonUI.java: 
	Common,B,BasicJideSplitButtonUI,Fixed so that
	JideSplitButton#setForegroundOfState() could also control the
	foreground of pressed button,56442,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1790
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/RangeSlider.java: 
	Common,B,RangeSlider,Fixed so that RangeSlider could work well with
	bean binding,56423,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1789
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-10  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1787
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-09  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java: exclude SPACE as an
	activate key for Searchable, for example CheckBoxList,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1786
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-09  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/AggregatedRange.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1785
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/BigDecimalConverter.java: 
	Common,E,BigDecimalConverter,Added a new constructor with
	DataFormat,56219,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1784
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/HtmlUtils.java: 
	Editor,B,CodeEditorPainter,Fixed the issue that the tooltip text
	string starting with "/" cannot be displayed correctly,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1782
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideOptionPaneUI.java: 
	Common,B,BasicJideOptionPaneUI,Fixed the NPE issue after
	JideOptionPane#updateUI() is invoked,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1781
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-07  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicPainter.java,
	src/com/jidesoft/plaf/office2003/Office2003Painter.java,
	src/com/jidesoft/plaf/office2007/Office2007Painter.java,
	src/com/jidesoft/swing/JideButton.java: Common,B,JideButton,Fixed
	JideButton did not paint the disabled selected state
	correctly,56157,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1779
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-06  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/DefaultOverlayable.java: 
	Common,E,DefaultOverlayable,Added getOverlayComponentBounds() so
	that the customer could customize the bounds of overlay
	components,56147,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1778
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-03  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/AutoRepeatButtonUtils.java: javadoc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1777
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideSplitButtonUI.java: 
	Common,B,BasicJideSplitButtonUI,Fixed the painting issue while
	JideSplitButton#isAlwaysDropdown() returns true,55926,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1776
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-01  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateButtonModel.java,
	src/com/jidesoft/swing/TristateCheckBox.java: change state when
	mouse is clicked in tristate checkbox git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1775
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-06-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/basic/BasicLookAndFeelExtension.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java: revert headers,
	no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1774
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-31  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1772
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-31  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java,
	src/com/jidesoft/swing/Searchable.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1771
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-31  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java,
	src/com/jidesoft/swing/Searchable.java: Common,B,Searchable,"Fixed
	so that Searchable will be able to start showing search popup on key
	input like [, ], {, etc.",55994,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1770
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/comparator/ObjectComparatorManager.java: 
	Editor,E,CodeEditor,Added isIndentOnPasting() flag to define the
	behavior of multiple-line pasting,55952,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1769
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-27  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/windows/XPStyle.java: tristatechecbox now
	works with JDK5 git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1768
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-27  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/windows/XPStyle.java: remove unused method.
	now it works with all JDK6 git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1767
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/comparator/AlphanumComparator.java,
	src/com/jidesoft/comparator/BooleanComparator.java,
	src/com/jidesoft/comparator/CalendarComparator.java,
	src/com/jidesoft/comparator/CharSequenceComparator.java,
	src/com/jidesoft/comparator/ComparableComparator.java,
	src/com/jidesoft/comparator/ComparatorContext.java,
	src/com/jidesoft/comparator/DateComparator.java,
	src/com/jidesoft/comparator/DefaultComparator.java,
	src/com/jidesoft/comparator/FastComparableComparator.java,
	src/com/jidesoft/comparator/NumberComparator.java,
	src/com/jidesoft/comparator/ObjectComparatorManager.java,
	src/com/jidesoft/comparator/PrioritizedObjectComparator.java,
	src/com/jidesoft/converter/AbstractContext.java,
	src/com/jidesoft/converter/CacheMap.java,
	src/com/jidesoft/converter/RegistrationEvent.java,
	src/com/jidesoft/dialog/AbstractDialogPage.java,
	src/com/jidesoft/dialog/AbstractPage.java,
	src/com/jidesoft/dialog/BannerPanel.java,
	src/com/jidesoft/dialog/ButtonEvent.java,
	src/com/jidesoft/dialog/ButtonPanel.java,
	src/com/jidesoft/dialog/ButtonPanelLayout.java,
	src/com/jidesoft/dialog/DialogPageListCellRenderer.java,
	src/com/jidesoft/dialog/DialogPageTreeCellRenderer.java,
	src/com/jidesoft/dialog/JideOptionPane.java,
	src/com/jidesoft/dialog/MultiplePageDialog.java,
	src/com/jidesoft/dialog/MultiplePageDialogPane.java,
	src/com/jidesoft/dialog/PageEvent.java,
	src/com/jidesoft/dialog/PageList.java,
	src/com/jidesoft/dialog/ScrollableButtonPanel.java,
	src/com/jidesoft/dialog/StandardDialogPane.java: Checked in
	clean-ups from Andrew Scott, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1766
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/windows/XPStyle.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1765
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/windows/XPStyle.java: use refection utils to
	call some methods only available on JDK7. With this change,
	TristateCheckBox works with both JDK6u2+ and JDK7 too. JDK5 and
	JDK6u1 are still not supported.  git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1764
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/windows/TMSchema.java,
	src/com/jidesoft/plaf/windows/XPStyle.java: misc git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1763
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-25  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/dialog/StandardDialog.java: 
	Common,B,StandardDialog,Added name for OK and Cancel buttons in
	StandardDialog,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1762
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,B,JideTabbedPane,Fixed the issue that
	JideTabbedPane#getTabAtLocation() may return invisible tab index
	while clicking at side of the tab navigation buttons,55870,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1760
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/basic/BasicLookAndFeelExtension.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1759
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/windows/XPStyle.java: fixed tristatecheckbox
	icon painting issue when switching L&F git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1758
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/metal/MetalIconFactory.java,
	src/com/jidesoft/plaf/metal/MetalUtils.java,
	src/com/jidesoft/plaf/windows/AnimationController.java,
	src/com/jidesoft/plaf/windows/TMSchema.java,
	src/com/jidesoft/plaf/windows/WindowsIconFactory.java,
	src/com/jidesoft/plaf/windows/XPStyle.java: 
	Common,E,TristateCheckBox,Introduced a redesigned TristateCheckBox
	which supports better L&Fs git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1757
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* JIDE Common Layer.iml,
	src/com/jidesoft/swing/TristateCheckBox.java: 
	Common,E,TristateCheckBox,Introduced a redesigned TristateCheckBox
	which supports better L&Fs git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1756
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-23  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/eclipse/EclipseMetalUtils.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetMetalUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java,
	src/com/jidesoft/plaf/xerto/XertoMetalUtils.java,
	src/com/jidesoft/swing/CheckBoxTreeCellRenderer.java,
	src/com/jidesoft/swing/{TristateCheckBox.java =>
	LegacyTristateCheckBox.java},
	src/com/jidesoft/swing/NullTristateCheckBox.java,
	src/com/jidesoft/swing/TristateButtonModel.java,
	src/com/jidesoft/swing/TristateCheckBoxIcon.java: tristate check box
	checkin git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1755
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-20  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/eclipse/EclipseJideSplitButtonUI.java: 
	remove println git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1751
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-20  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: add window classic
	L&F string git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1750
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-19  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java: 
	Grids,B,TableScrollPane,Fixe the view synchronization issue if
	TableScrollPane is instantiated with an empty row header table then
	set a table model with columns in row header table,55774,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1749
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-19  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: add bizlaf to class
	path git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1748
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-18  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideScrollPane.java,
	src/com/jidesoft/swing/JideSwingUtilities.java: 
	Common,B,JideSwingUtilities,Fixed the issue that dragging row header
	table to select and scroll sometimes could not scroll the row footer
	table in sync,55729,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1747
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-18  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/swing/JidePopupMenu.java: 
	Common,E,JidePopupMenu,Added JidePopupMenu.uiExtensionDisabled
	UIDefault to disable the usage of BasicJidePopupMenuUI and used it
	for all Synthetica L&Fs,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1746
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-16  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Calculator.java: Common,B,Calculator,Fixed
	comma cannot be typed in locales where comma is used instead of
	period as decimal point,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1745
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-13  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1743
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/spinner/DateSpinner.java: 
	Common,B,DateSpinner,Fixed so that DateSpinner will take default
	date format according to current default Locale,55524,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1742
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-12  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/SystemInfo.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1741
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-11  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateCheckBox.java: 
	Grids,E,TristateCheckBox,Added TristateCheckBox cell editor and cell
	renderer,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1740
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-09  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideScrollPane.java: fixed javadoc error git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1739
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-07  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideLabelUI.java: 
	Common,B,JideLabel,Fixed JideLabel doesn't display html code
	correctly,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1738
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-06  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideScrollPaneLayout.java: 
	Common,B,JideScrollPaneLayout,Adjusted the JideScrollPane's layout
	so that the upper-right and lower-right corner components could be
	visible above the vertical scroll bar if row footer component is
	null and vertical scroll bar is not stretched,55386,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1737
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-06  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/hints/AbstractIntelliHints.java: 
	Common,B,AbstractIntelliHints,Fixed the issue that pressing TAB key
	cannot release focus from the JTextComponent with IntelliHints popup
	visible,55406,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1736
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/validation/ValidationResult.java: 
	Grids,E,JideTable,Provided APIs in ValidationResult so that user
	could change the invalid value to new value in validation
	process,55346,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1735
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideScrollPane.java,
	src/com/jidesoft/swing/JideScrollPaneConstants.java,
	src/com/jidesoft/swing/JideScrollPaneLayout.java: 
	Common,E,JideScrollPane,Added new components into JideScrollPane,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1734
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-05-03  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/HeaderBox.java: Pivot,B,HeaderBox,Fixed the
	regression that pressing cancel on dragging a FieldBox could not
	cancel the dragging,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1733
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-27  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Synthetica,B,LookAndFeelFactory,Fixed CollapsiblePane content
	background color is wrong on Synthetica BlackEye theme,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1732
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-26  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Synthetica,E,LAFFactory,Fixed the tab text color is not correct
	under Synthetica BlackEye theme,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1731
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1729
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed the memory leak issue in
	JideTabbedPane,55020,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1728
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2003/Office2003Painter.java: 
	Common,B,Office2003Painter,Fixed the issue that CollapsiblePane in
	SEPARATOR style has a wrong background color in Office2003
	style,55021,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1727
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/DelegateAction.java: 
	Common,B,DelegateAction,Fixed the issue that
	DelegateAction#replaceAction() may cause StackOverflowError in some
	circumstances,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1726
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-20  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TristateCheckBox.java: 
	Common,B,TristateCheckBox,Fixed so that setState() will be invoked
	instead of model.setState() while the TristateCheckBox is
	pressed,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1725
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-18  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/ArrayConverter.java: 
	Common,B,ArrayConverter,Fixed the AIOOBE issue ArrayConverter may
	throw,,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1724
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-15  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/SelectionModelGroup.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1723
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-15  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/SelectionModelGroup.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1722
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-14  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideButtonUI.java: 
	Common,B,JideButton,Fixed the size of JideButton is small under
	Synthetica BlackEye theme,,no vincent.astruc@fr.thalesgroup.com git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1721
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/eclipse/EclipseJideSplitButtonUI.java,
	src/com/jidesoft/plaf/eclipse/EclipseMenuItemUI.java: 
	Common,B,EclipseJideSplitButtonUI,Fixed so that the painting of
	JideSplitButton is different for TOOLBAR_STYLE and TOOLBOX_STYLE in
	Eclipse L&F,54658,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1717
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/SearchableBar.java: 
	Common,B,SearchableBar,Fixed so that the cursor position could be
	kept after toggling "highlight all" twice,54592,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1716
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: 3.0.1 git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1714
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-06  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/vsnet/VsnetJideTabbedPaneUI.java: 
	Common,B,BasicJideTabbedPaneUI,Fixed an exception while
	JideTabbedPane#getSelectedIndex() returns -1 which is a regression
	in 3.0.0,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1713
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-06  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Synthetica,E,LAFFactory,Added Synthetica support for ExComboBox,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1712
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-06  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/tree/StyledTreeCellRenderer.java: fix the demo
	tree node color issue on synthetica,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1711
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-06  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Dock,B,LookAndFeelFactory,Changed some UIDefaults from
	Synthetica,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1710
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-06  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideUtils.java: 
	Component,E,AquaJideUtils,Do not paint the resize corner on Aqua as
	Aqua L&F will paint a resize corner,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1709
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-05  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* : remove JavaRuntimeSupport.jar as ui.jar includes it.  git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1706
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-05  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* libs/README_lib, src/com/jidesoft/utils/ProductNames.java: fixed
	signature error on jide_demo.jar git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1705
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-05  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1703
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/office2007/Office2007Painter.java,
	src/com/jidesoft/plaf/vsnet/VsnetJideTabbedPaneUI.java,
	src/com/jidesoft/swing/SidePaneItem.java,
	src/com/jidesoft/swing/TabColorProvider.java: 
	Dock,E,DockableFrame,Added APIs to configure the tab background and
	foreground in DockableFrame level and take effect in both
	FrameContainer and AutoHideContainer,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1702
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-04-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/SidePane.java: Common,B,SidePane,Fixed so
	that SidePane would show tooltip of the pointed SidePaneItem
	component if rollover is disabled,54465,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1701
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-31  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/MyComputerTreeNode.java,
	src/com/jidesoft/swing/FolderChooser.java: 
	Common,B,FolderChooser,Fixed so that FolderChooser will display the
	folder with respecting to the FileFilter result,54427,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1700
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-29  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java,
	src/com/jidesoft/swing/TextComponentSearchable.java: 
	Editor,B,CodeEditorSearchable,Fixed so that making searching text
	empty will clear the selection the Searchable previously
	made,54372,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1699
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-29  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java: Added automated
	test cases for selection and row heights loading in rows
	inserted/deleted scenario,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1698
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-28  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/StyledLabel.java: 
	Common,B,StyledLabel,Fixed a style range check bug,54354,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1697
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-25  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/ReflectionUtils.java: 
	Grids,E,TableUtils,Added drop location synchronization mechanism for
	TableScrollPane,54332,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1696
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-24  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJideUtils.java,
	src/com/jidesoft/plaf/basic/BasicLookAndFeelExtension.java,
	src/com/jidesoft/plaf/eclipse/EclipseMetalUtils.java,
	src/com/jidesoft/plaf/eclipse/EclipseWindowsUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetMetalUtils.java,
	src/com/jidesoft/plaf/vsnet/VsnetWindowsUtils.java: 
	Grids,E,ExComboBox,"Introduce ExComboBox which is a better
	replacement for JComboBox that allows you to display tree, table,
	date chooser, color chooser etc. custom components in the drop
	down",,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1695
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ScrollPaneOverview.java: 
	Common,B,ScrollPaneOverview,Fixed the IllegalArgumentException while
	the main viewport of the target scroll pane is not visible,54313,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1694
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-23  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/ReflectionUtils.java: 
	Common,E,ReflectionUtils,Added ReflectionUtils to make reflection
	being used easier,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1693
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSplitPane.java: More fix for memory
	leak issue, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1692
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSplitPane.java: 
	Common,B,JideSplitPane,Fixed a memory leak issue while dynamically
	adding and removing new component to a JideSplitPane,,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1691
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-17  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaRangeSliderUI.java: 
	Common,B,AquaRangeSliderUI,Fixed incompatible issue with the latest
	Apple JDK release in AquaRangeSliderUI,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1690
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-14  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/CombinedNumericRange.java: 
	Common,B,CombinedNumericRange,Fixes a problem when the range
	contains no subranges,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1689
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-11  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1687
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-09  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* properties/com/jidesoft/plaf/basic/basic_fi.properties,
	properties/com/jidesoft/plaf/basic/basic_it.properties,
	properties/com/jidesoft/plaf/basic/basic_pt.properties,
	properties/com/jidesoft/plaf/basic/basic_sv.properties,
	properties/com/jidesoft/plaf/basic/basic_zh_CN.properties,
	properties/com/jidesoft/plaf/basic/basic_zh_TW.properties: update
	some translations git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1686
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-09  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: 
	Common,B,CheckBoxTreeSelectionModel,Fixed StackOverflowError in
	filtering scenario without using
	FilterableCheckBoxTreeSelectionModel,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1685
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/hints/AbstractIntelliHints.java: 
	Editor,B,AbstractCodeEditorIntelliHints,Fixed so that the code
	editor intelli hints could work well in modal dialog,,no
	Common,B,AbstractIntelliHints,Fixed so that the intelli hints could
	work well in modal dialog,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1684
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-08  support@jidesoft.com <support@jidesoft.com@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* properties/com/jidesoft/plaf/basic/basic_zh_CN.properties,
	properties/com/jidesoft/plaf/basic/basic_zh_TW.properties: i18n git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1683
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-03-04  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTree.java,
	src/com/jidesoft/swing/CheckBoxTreeSelectionModel.java: 
	Common,E,CheckBoxTree,Added an option to configure if CheckBoxTree
	should select or deselect all first on toggling a partially selected
	node,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1682
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-25  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Searchable.java: Common,E,Searchable,Added
	Searchable#setPopupTimeout() to automatically hide search
	popup,53058,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1681
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/CategoryRange.java,
	src/com/jidesoft/range/CombinedNumericRange.java,
	src/com/jidesoft/utils/TimeUtils.java: 
	Common,E,CombinedNumericRange,Added new method to return number of
	subranges summarised by the combined range git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1680
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-22  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: 2.11.1 git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1678
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ResizableMouseInputAdapter.java: polish the
	snap, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1677
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ResizableMouseInputAdapter.java: snap, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1676
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/Resizable.java,
	src/com/jidesoft/swing/ResizableMouseInputAdapter.java: snap resize,
	no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1675
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-16  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/PercentConverter.java: 
	Grids,B,PercentConverter,Make any input larger than 1 divided by 100
	automatically,,no Backward
	Compatibility,Grids,B,PercentConverter,Changed the input's meaning
	if you input a number larger than 1 in a percentage style cell,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1674
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/spinner/SpinnerWheelSupport.java: 
	Common,B,SpinnerWheelSupport,Fixed so that mouse wheel move will not
	be able to change the value of a disabled JSpinner,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1673
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1670
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1668
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-07  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSplitPaneDivider.java: 
	Common,B,JideSplitPaneDivider,Fixed so that the one touch expand
	button follows the background of JideSplitPaneDivider,53200,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1667
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-02  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/AutoCompletion.java: 
	Common,B,AutoCompletion,Fixed so that setting selected tree path to
	null will clear the auto completion text field,53135,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1666
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/IOUtils.java: Remove unnecessary class, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1665
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-02-01  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/IOUtils.java: misc, no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1664
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-01-31  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSplitPane.java: 
	Common,B,JideSplitPane,Fixed so that invoking
	JideSplitPane#setOrientation() could keep current constraints in
	effective instead of clear them all,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1663
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-01-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java: 
	Common,B,LookAndFeelFactory,Fixed the NPE issue while using diff
	product,52923,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1660
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-01-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2007/Office2007Painter.java: 
	Common,B,Office2007Painter,Fixed so that the sort arrow of
	SortableTableHeader would be painted on the right side of the header
	if it's in the windows classic theme,,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1659
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-01-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/CheckBoxTreeCellRenderer.java: 
	Common,B,CheckBoxTreeCellRenderer,Fixed so that
	CheckBoxTreeCellRenderer#getTreeCellRendererComponent() would remove
	all existing children component first,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1658
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-01-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Fixed
	the regression since 2.10.1 that pressing CTRL+G could not popup the
	window to input the line number,53068,yes git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1657
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2011-01-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* JIDE Common Layer.iml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1656
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1654
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-23  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/hints/AbstractListIntelliHints.java: 
	Common,B,AbstractListIntelliHints,Fixed the NPE if the customer
	tries to invoke getSelectedHint() before hints popup is
	manipulated,52330,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1653
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-23  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ComboBoxSearchable.java: 
	Common,B,ComboBoxSearchable,Fixed the issue that ComboBoxSearchable
	cannot search more than 1 character,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1652
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-21  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: 2.10.3 release git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1650
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/ActionSupportForJDK5.java: do not set large
	icon in ActionSupportForJDK5 git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1649
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-17  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicPainter.java,
	src/com/jidesoft/plaf/office2007/Office2007Painter.java: 
	Common,B,Office2007Painter,Fixed so that sort arrow will only be
	painted at the middle of the table header in Office2007 style,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1648
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-17  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/LookAndFeelFactory.java,
	src/com/jidesoft/utils/ProductNames.java: add treemap git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1647
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-15  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java: Common,B,JidePopup,Fixed so
	that JidePopup#setTimeout() could work after the popup is
	visible,52107,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1646
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-09  sawhite <sawhite@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/range/CategoryRange.java: 
	Common,E,CategoryRange,Added a method so you can get a category from
	its position in the range git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1645
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-09  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/converter/ConverterContext.java: 
	Grids,E,DynamicValueSetListComboBoxCellEditor,Provided a solution to
	let ListComboBoxCellEditor change its value set according to the
	values of other cells,51810,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1644
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/DelegateAction.java: some minor
	refractoring, it shouldn't have any essential change,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1643
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-08  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/popup/JidePopup.java: add a flag to control if we
	should call requestFocus when the popup is hidden,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1642
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-12-04  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/utils/ActionSupportForJDK5.java: 
	Common,B,ActionSupportForJDK5,Fixed select flag is not set to the
	button when the action is selected before it is installed to the
	button on JDK5,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1641
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-11-29  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/hints/AbstractIntelliHints.java,
	src/com/jidesoft/swing/DelegateAction.java: 
	Common,B,AbstractIntelliHints,Fixed the StackOverflowError while
	pressing ESC key in IntelliHints,51728,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1640
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-11-24  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/metal/MetalJideSplitButtonUI.java: 
	Common,B,MetalJideSplitButtonUI,Removed the debug print for the
	JideSplitButton,51649,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1639
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-11-18  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1637
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-11-11  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/office2003/Office2003Painter.java: 
	Common,B,Office2003Painter,Fixed to let
	paintCollapsiblePaneTitlePaneBackgroundSeparator() use the
	"CollapsiblePaneTitlePane.backgroundLt" to get the background
	color,51431,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1636
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-11-08  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/hints/AbstractIntelliHints.java: 
	Common,E,AbstractIntelliHints,Added setShowHintsDelay() to configure
	the delay time to show hints after a key is typed,51381,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1635
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-11-03  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/hints/AbstractIntelliHints.java: 
	Editor,E,ListDataCodeEditorIntelliHints,Improved the usability of
	ListDataCodeEditorIntelliHints and the javadoc,51308,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1634
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-11-01  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/eclipse/EclipseJideSplitButtonUI.java,
	src/com/jidesoft/plaf/metal/MetalJideSplitButtonUI.java: 
	Common,B,MetalJideSplitButtonUI,Fixed the issue that mouse rollover
	effect was not painted correctly for JideSplitButton in some
	L&F,51243,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1633
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-10-30  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/aqua/AquaJidePopupMenuUI.java,
	src/com/jidesoft/plaf/aqua/AquaRangeSliderUI.java: 
	Common,B,Aqua,Fixed compatible issue with JDK5 on Mac,51238,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1632
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-10-29  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/TextComponentSearchable.java: 
	Common,B,TextComponentSearchable,Improved performance for case
	insensitive search on big files,,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1631
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-10-28  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicJideTabbedPaneUI.java,
	src/com/jidesoft/plaf/eclipse/Eclipse3xJideTabbedPaneUI.java,
	src/com/jidesoft/swing/JideTabbedPane.java: 
	Common,E,JideTabbedPane,Provided
	JideTabbedPane#createNoFocusButton() for easier customizing the
	buttons,51169,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1630
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-10-27  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/DefaultOverlayable.java: 
	Common,B,DefaultOverlayable,Fixed the issue that Overlayable may not
	work well with GridBagLayout,51141,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1629
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-10-27  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/ResizablePanel.java: fixed regression that
	resizing not working git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1628
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-10-26  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* build.properties, pom.xml: git-svn-id:
	https://svn.java.net/svn/jide-oss~svn/trunk@1624
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-10-25  xujihe <xujihe@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/plaf/basic/BasicStyledLabelUI.java: 
	Common,B,BasicStyledLabelUI,Fixed the issue that a StyledLabel based
	cell renderer may not truncate the text correctly in some
	scenarios,51031,no git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1623
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

2010-10-24  jidesoftware <jidesoftware@8ffc590b-27e5-ea7f-97f6-895640bc1b3e>

	* src/com/jidesoft/swing/JideSwingUtilities.java: ignore exception
	as it is normal on pre-JDK6u10 git-svn-id: https://svn.java.net/svn/jide-oss~svn/trunk@1622
	8ffc590b-27e5-ea7f-97f6-895640bc1b3e

